/*   Header - File / UE1 SWT Mengen-Relationen
     Datei : /usr/include/Mnglib.h
     Datum : 19.11.95    
     geaendert : 02.08.96 / jh
*/
     
typedef struct
  { void **feld;
    int m;
    int n;
  } Menge;
 
typedef struct
  { void *a, *b ;
  } Paar;
 
typedef enum { Mng_False, Mng_True} Mng_Bool;
 
 
/* menge.c */
 
Menge* Mng_MengeDefinieren(void);
void Mng_MengeLoeschen(Menge *);
void Mng_MengeUndElementeLoeschen (Menge *);
Menge* Mng_MengeKopieren(Menge *);
void Mng_ElementEintragen (void *, Menge *);
void* Mng_ElementAustragen (Menge *);
int Mng_ElementSuchen (void *, Menge *);
void Mng_ElementZufuegen  (void *, Menge *);
void Mng_ElementEntfernen (void *, Menge *);
Mng_Bool Mng_teilmenge (Menge *, Menge *);
Mng_Bool Mng_Teilmenge (Menge *, Menge *);
Mng_Bool Mng_EchteTeilmenge (Menge *, Menge *);
Mng_Bool Mng_GeicheMenge (Menge *, Menge *);
Menge* Mng_Durchschnitt (Menge *, Menge *);
Menge* Mng_Vereinigung (Menge *, Menge *);
Menge* Mng_Differenz (Menge *, Menge *);
 
/* rela.c */
 
Paar* Mng_PaarDefinieren (void *, void *);
void Mng_PaarLoeschen (void *);
int Mng_PaarSuchen (void *, void *, Menge *);
void Mng_PaarZufuegen (void *, void *, Menge *);
void Mng_PaarEntfernen (void *, void *, Menge *);
Menge* Mng_UnaereRelation (Menge *, Mng_Bool (*Relation)(void *,void *,void *), void *);
Menge* Mng_BinaereRelation (Menge *, Menge *, Mng_Bool (*Relation)(void *,void *,void *), void *);
void Mng_ReflexiveHuelle (Menge *);
void Mng_SymmetrischeHuelle (Menge *);
void Mng_TransitiveHuelle (Menge *);
