#ifndef XSTABTYP_KM_H
#define XSTABTYP_KM_H

/*
  Datei     : XStabTyp_Km.h
  erstellt  : 07.04.97
  gendert  : 14.04.97
  Autor     : jh
  Bemerkung :
*/



typedef struct
{
  /* Nummer des zugehrigen Stabes im Nm */ 
  long l_nummer;

  /* Position des Stabes innerhalb des Stabes im Nm */
  double d_posA,d_posB;

  /* zugehoerige Freiheitsgrade */
  TypFreiGrad *pe_frei[6];  
  
  /* Topologie */
  TypPunkt *pe_punkta,*pe_punktb;

  /* Last */
  double d_lastp_a,d_lastp_b;
  double d_lastn_a,d_lastn_b;

  /* Material */
  long l_matid;

  /* Querschnitt */
  long l_querid;

  /* Geometrie - abgeleitet */
  double d_alpha;
  double d_laenge;
  double d_cos,d_sin;

  /* Schnittkraefte */
  double d_Na,d_Qa,d_Ma;
  double d_Nb,d_Qb,d_Mb;
} TypStab_Km;


#endif
