/*
  Datei     : Loesche_Km.c
  erstellt  : 16.03.97
  geaendert : 13.04.97
  Autor     : jh
*/


#include "XStabDek.h"



/*********************************************************************/
/* void Loesche_Km(void)                                             */
/*********************************************************************/ 
/*                                              
   Funktion lscht das Kernmodell
   jh, 13.04.97                          
*/
/*********************************************************************/  

void Loesche_Km(void)
{
  KeGlied *l;

  /* lsche Stbe */
  if(Modell->KeStab_Km)  {
    while(Modell->KeStab_Km->nach != Modell->KeStab_Km)  {	  
      l = Modell->KeStab_Km->nach;
      KeGliedAustragen(l);       
      free(l->x);
    }
  } 
  
  /* Punkte */
  if(Modell->KePunkt_Km)
    {
      while(Modell->KePunkt_Km->nach != Modell->KePunkt_Km)
	{
	  l = Modell->KePunkt_Km->nach;	 
	  KeGliedAustragen(l); 		  	             
	  free(l->x);	 
	}
    } 
  
  /* Freiheitsgrade */
  if(Modell->KeFreiGrad_Km)
    {
      while(Modell->KeFreiGrad_Km->nach != Modell->KeFreiGrad_Km)
	{
	  l = Modell->KeFreiGrad_Km->nach;	 
	  KeGliedAustragen(l); 		  	             
	  free(l->x);	 
	}
    }	
   
}


