/*
  Datei     : FreiGrad.c
  erstellt  : 06.09.96
  gendert  : 11.04.97
  Autor     : jh
*/


#include "XStabDek.h"



/*********************************************************************/
/* void Verbinde_FG(...)                                             */
/*********************************************************************/ 
/*                                              
   Fkt fgt der Menge relation das FG-Paar fg1,fg2 hinzu
   x-, y-Freiheitsgrade sind immer paarweise othogonal,
   deshalb mu diese Verbindung gespeichert werden
   jh, 11.04.97                                 
*/
/*********************************************************************/   

void Verbinde_FG(TypFreiGrad *fg1, TypFreiGrad *fg2, 
		 Menge* relation)
{  
  Mng_PaarZufuegen(fg1,fg2,relation);
}



/********************************************************************/
/* void LoeseVerbindung_FG(...)                                     */
/********************************************************************/ 
/*                                              
   Fkt trgt das FG-Paar aus der Menge relation aus
   jh, 11.04.97                                 
*/
/********************************************************************/

void LoeseVerbindung_FG(TypFreiGrad *a, TypFreiGrad *b, 
			Menge* R)
{
  int i ;

  i = Mng_PaarSuchen (a,b,R);

  if(i)
    {
      R->feld [i] = R->feld [R->n]  ;     
      Mng_ElementAustragen (R)          ;
    }  
}

