/*
  Datei     : FreiGrad_Nm.c
  erstellt  : 02.04.97
  gendert  : 11.04.97
  Autor     : jh
*/


#include "XStabDek.h"



/*********************************************************************/
/* void Freigradedit()                                               */
/*********************************************************************/
/*                                              
   Fkt setzt und zeigt die form freigradform
   jh, 08.04.97                                 
*/
/*********************************************************************/

void Freigradedit(void)
{  
  /* Button 'A' setzen */
  fl_set_button(freigradform->von_button,1);
  fg_setze_form(0); 

  fl_show_form(freigradform->freigrad,FL_PLACE_CENTER,
	       FL_TRANSIENT,"Freiheitsgrade");

  init_fg_grafik();

  Zeichne_FG();

}



/*********************************************************************/
/* void fg_setze_form(long flag)                                     */
/*********************************************************************/
/*                                              
   Fkt setzt in der form freigradeditform die Werte
   der angewhlten Freiheitsgrade
   flag == 0 -> von
   flag == 1 -> nach 
   jh, 08.04.97                                 
*/
/*********************************************************************/

void fg_setze_form(long flag) 				
{
  TypStab_Nm *tmp_stab;
  TypFreiGrad *tmp_fg;
  long dummy;
  char c_tmp[256];

  if(flag>1) return;
  
  /* selektierten Stab holen */
  tmp_stab = Suche_Stab_select_Nm(&dummy);      
  if(!tmp_stab) return;
  
  tmp_fg = (*tmp_stab).pe_frei[(flag*3) + 0];  
    	        
  /* ---  Drehung  --- */
  sprintf(c_tmp,"%.2f",(*tmp_fg).d_alpha);
  fl_set_input(freigradform->drehung_global_input,c_tmp);
  
  sprintf(c_tmp,"%.2f",(*tmp_fg).d_alpha - (*tmp_stab).d_alpha);
  fl_set_input(freigradform->drehung_lokal_input,c_tmp);      
  
  
  /* ---  FG 0  --- */      
  sprintf(c_tmp,"%ld",(*tmp_fg).l_nummer);
  fl_set_input(freigradform->nummer_0_input,c_tmp);
  
  sprintf(c_tmp,"%.4f",(*tmp_fg).d_verschiebung);
  fl_set_input(freigradform->verschiebung_0_input,c_tmp);

  sprintf(c_tmp,"%.4e",(*tmp_fg).d_feder);
  fl_set_input(freigradform->feder_0_input,c_tmp);
  
  if((*tmp_fg).l_status == CPmPrimal) {
    fl_set_button(freigradform->primal_0_check,1);
    fl_set_button(freigradform->dual_0_check,0);
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_auflager);
    fl_set_object_label(freigradform->einwirkung_0_text,c_tmp);
    fl_set_object_label(freigradform->einw_0_text,"Auflager"); 
  }
  else {
    fl_set_button(freigradform->primal_0_check,0);
    fl_set_button(freigradform->dual_0_check,1);        
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_einwirkung);
    fl_set_object_label(freigradform->einwirkung_0_text,c_tmp);
    fl_set_object_label(freigradform->einw_0_text,"Einwirkung");        
  }

  
  /* ---  FG 1  --- */   
  tmp_fg = (*tmp_stab).pe_frei[(flag*3) + 1];
  
  sprintf(c_tmp,"%ld",(*tmp_fg).l_nummer);  
  fl_set_input(freigradform->nummer_1_input,c_tmp);

  sprintf(c_tmp,"%.4f",(*tmp_fg).d_verschiebung);
  fl_set_input(freigradform->verschiebung_1_input,c_tmp);

  sprintf(c_tmp,"%.4e",(*tmp_fg).d_feder);
  fl_set_input(freigradform->feder_1_input,c_tmp);

  if((*tmp_fg).l_status == CPmPrimal) {
    fl_set_button(freigradform->primal_1_check,1);
    fl_set_button(freigradform->dual_1_check,0);
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_auflager);
    fl_set_object_label(freigradform->einwirkung_1_text,c_tmp);
    fl_set_object_label(freigradform->einw_1_text,"Auflager"); 
  }
  else {
    fl_set_button(freigradform->primal_1_check,0);
    fl_set_button(freigradform->dual_1_check,1);  
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_einwirkung);
    fl_set_object_label(freigradform->einwirkung_1_text,c_tmp);
    fl_set_object_label(freigradform->einw_1_text,"Einwirkung");       
  }
  
  
  /* ---  FG 2  --- */ 
  tmp_fg = (*tmp_stab).pe_frei[(flag*3) + 2];
  
  sprintf(c_tmp,"%ld",(*tmp_fg).l_nummer);
  fl_set_input(freigradform->nummer_2_input,c_tmp);
  
  sprintf(c_tmp,"%.4f",(*tmp_fg).d_verschiebung);
  fl_set_input(freigradform->verschiebung_2_input,c_tmp);
  
  sprintf(c_tmp,"%.4e",(*tmp_fg).d_feder);
  fl_set_input(freigradform->feder_2_input,c_tmp);

  if((*tmp_fg).l_status == CPmPrimal) {
    fl_set_button(freigradform->primal_2_check,1);
    fl_set_button(freigradform->dual_2_check,0);
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_auflager);
    fl_set_object_label(freigradform->einwirkung_2_text,c_tmp);
    fl_set_object_label(freigradform->einw_2_text,"Auflager"); 
  }
  else {
    fl_set_button(freigradform->primal_2_check,0);
    fl_set_button(freigradform->dual_2_check,1);   
    sprintf(c_tmp,"%.4f",(*tmp_fg).d_einwirkung);
    fl_set_object_label(freigradform->einwirkung_2_text,c_tmp);
    fl_set_object_label(freigradform->einw_2_text,"Einwirkung"); 	     
  }     
}


void Uebernehme_FGamPunkt_Nm(TypStab_Nm *tmp_stab, TypPunkt *tmp_punkt, long pos)
{
  long i;
  TypStab_Nm *tmp_stab2;
  KeGlied *p;
  long flag = 0;

  if(!Modell->KeStab_Nm)
    return;
  
  KeDurchlaufVorwaerts(p,Modell->KeStab_Nm) {

    tmp_stab2 = p->x;
    flag = 0;
      
    /* Stab-Anfang */
    if(pos==1) {

      if((*tmp_stab2).pe_punkta == tmp_punkt) {
	for(i=0; i<3; i++)
	  (*tmp_stab).pe_frei[i] =  (*tmp_stab2).pe_frei[i];
	flag = 2;
      }         
      
      if((*tmp_stab2).pe_punktb == tmp_punkt) {
	for(i=0; i<3; i++)
	  (*tmp_stab).pe_frei[i] =  (*tmp_stab2).pe_frei[i+3];
	flag = 2;
      }

    }
    
    /* Stab-Ende */      
    if(pos==2) {	  
      if((*tmp_stab2).pe_punkta == tmp_punkt) {
	for(i=3;i<6;i++)
	  (*tmp_stab).pe_frei[i] =  (*tmp_stab2).pe_frei[i-3];	
	flag++;
      }         

      if((*tmp_stab2).pe_punktb == tmp_punkt) {
	for(i=3;i<6;i++)
	  (*tmp_stab).pe_frei[i] =  (*tmp_stab2).pe_frei[i];
	flag++;       
      }
    }


    /*  FG sind gesetzt  */
    if( flag > 2 )
      return;
      
  }

}



/*********************************************************************/
/* void Drehe_FG_Nm(long fg_nummer, double alpha)                    */
/*********************************************************************/
/*                                              
   Fkt dreht alle Freiheitsgrade, die mit fg_nummer gekoppelt sind
   um den Winkel alpha
   jh, 11.04.97                                 
*/
/*********************************************************************/

void Drehe_FG_Nm(long fg_nummer, double alpha)
{
  Menge *M;
  long *element;
  long i,j;
  long akt_nummer;
  Paar *paar;
  TypFreiGrad *tmp_fg1,*tmp_fg2;

  M = Mng_MengeDefinieren();

  element = (long*) calloc (1,sizeof(long));
  *element = fg_nummer;

  Mng_ElementEintragen(element,M);

  j=1;
  while(j<=M->n)
    {
      element = M->feld[j];
      akt_nummer = *element;

      /* alle Paare in FG_Relation_Nm suchen und in M eintragen */
      for(i=1;i<=Modell->FG_Relation_Nm->n;i++)
	{
	  paar = Modell->FG_Relation_Nm->feld[i];
	  
	  tmp_fg1 = paar->a;
	  tmp_fg2 = paar->b;
	  
	  /* wenn die erste Nummer des Paares == der aktuellen Nummer in M */
	  if( (*tmp_fg1).l_nummer == akt_nummer)
	    {
	      /* wenn noch nicht in M vorhanden -> eintragen */
	      if( ! Element_suchen((*tmp_fg2).l_nummer,M) )
		{
		  element = (long*) calloc (1,sizeof(long));
		  *element = (*tmp_fg2).l_nummer;
		  Mng_ElementEintragen(element,M);
		}
	    }

	  /* wenn die zweite Nummer des Paares == der aktuellen Nummer in M */
	  if( (*tmp_fg2).l_nummer == akt_nummer)
	    {
	      /* wenn noch nicht in M vorhanden -> eintragen */
	      if( ! Element_suchen((*tmp_fg1).l_nummer,M) )
		{
		  element = (long*) calloc (1,sizeof(long));
		  *element = (*tmp_fg1).l_nummer;
		  Mng_ElementEintragen(element,M);
		}
	    }
	}
 
      j++;

    }     

  /* alle Freiheitsgrade, die mit fg_nummer gekoppelt sind drehen */
  for(i=1; i<=M->n; i++) {
    element = M->feld[i];
    tmp_fg1 = Suche_FreiGrad(*element, Modell->KeFreiGrad_Nm);
    (*tmp_fg1).d_alpha = alpha;    
  }  
}


