/*
  Datei     : lastfallwahl_cb.c
  erstellt  : 04.05.97
  geaendert : 
  Autor     : jh
*/


#include "XStabDek.h"



void lastfallbrowser_cb(FL_OBJECT *obj, long arg)
{
  aktualisiereAuswahlLF();
  Zeichne();
}



/*********************************************************************/
/* void lfbrowserok_cb(FL_OBJECT *obj, long arg)                     */
/*********************************************************************/ 
/*                                              
   cb - Fkt ok-Button  Fenster Lastfall whlen
   Fkt ruft die cb-Fkt des Pixmapbuttons load_button im 
   Hauptfenster auf 
   -> hide lastfallbrowserform->lastfallwahl
   jh, 20.03.97
*/
/*********************************************************************/

void lfbrowserok_cb(FL_OBJECT *obj, long arg)
{
  fl_set_button(form->load_button,0);
  load_button_cb(form->load_button,0);
}


void lastwahlgewichten_cb(FL_OBJECT *obj, long arg)
{
  input_status = 1;
  fl_set_input(inputform->input,"");
  fl_set_object_label(inputform->text,"Gewicht");
  fl_show_form(inputform->inputform,
	       FL_PLACE_CENTER,FL_FULLBORDER,"Lastfall gewichten"); 
}


void lastwahlloeschen_cb(FL_OBJECT *obj, long arg)
{
  long i,j;
  long nummer;
  char *c_tmp;
  char lastnummer[3]; 
 
  for(i=1;i<=fl_get_browser_maxline(lastfallbrowserform->lastfallbrowser);i++) {
    if(fl_isselected_browser_line(lastfallbrowserform->lastfallbrowser,i)) {    

      c_tmp = (char*) fl_get_browser_line(lastfallbrowserform->lastfallbrowser,i);
      for(j=0;j<3;j++)
	lastnummer[j] = c_tmp[j];     
      nummer = atol(lastnummer);	  

      Loesche_Lastfall(nummer);

    }
  }

  schreibeBrowserLastfall();

  Zeichne();

}



/*********************************************************************/
/* void lastwahlerzeugen_cb(FL_OBJECT *obj, long arg)                */
/*********************************************************************/ 
/*                                              
   cb - Fkt  Fenster Lastfall whlen
   Erzeugen eines neuen Lastfalls
   jh, 04.05.97
*/
/*********************************************************************/

void lastwahlerzeugen_cb(FL_OBJECT *obj, long arg)
{
  Lastfall();
  Modell->unsaved_changes++;
}



/*********************************************************************/
/* void lastwahlkopieren_cb(FL_OBJECT *obj, long arg)                */
/*********************************************************************/ 
/*                                              
   cb - Fkt  Fenster Lastfall whlen
   Kopieren der ausgewhlten Lastflle
   jh, 04.05.97
*/
/*********************************************************************/

void  lastwahlkopieren_cb(FL_OBJECT *obj, long arg)
{
  Menge *M_aktiv;
  long i;
  long *id;

  /* Menge definieren */
  M_aktiv = Mng_MengeDefinieren();

  /* Bestimmen d. aktiven Lastflle */
  HoleAktiveLastfaelle_Lastwahl(M_aktiv); 

  for(i=1;i<=M_aktiv->n;i++) {    
    id = M_aktiv->feld[i];
    Lastfall_kopieren(*id);
  }
 
  /* Menge der aktiven Lastflle lschen */  
  Mng_MengeUndElementeLoeschen(M_aktiv); 

  Modell->unsaved_changes++;

}



void  lastwahlnameaendern_cb(FL_OBJECT *obj, long arg)
{
  input_status = 4;
  fl_set_input(inputform->input,"");
  fl_set_object_label(inputform->text,"Name");
  fl_show_form(inputform->inputform,
	       FL_PLACE_CENTER,FL_FULLBORDER,"Name ndern"); 
}



void lastfall_komb_browser_cb(FL_OBJECT *obj, long arg)
{
  long nummer,i,j; 
  char *c_tmp;
  char lastnummer[3];

  for(i=1;i<=fl_get_browser_maxline(lastfallbrowserform->lastfall_komb_browser);i++) {   
    if(fl_isselected_browser_line(lastfallbrowserform->lastfall_komb_browser,i)) {

      /* Hole Nummer des Lastfalls aus der Zeile im Browser */
      c_tmp = (char*) fl_get_browser_line(lastfallbrowserform->lastfall_komb_browser,i);
      
      for(j=0;j<3;j++)
	lastnummer[j] = c_tmp[j];     
      nummer = (long) atol(lastnummer);           
      
      LFKomb_activate(nummer);

      break;
    }
  }
  
}



/*********************************************************************/
/* void lastkomb_erzeugen_cb(FL_OBJECT *obj, long arg)               */
/*********************************************************************/
/*                                              
   cb - Fkt erzeugen einer LF-Kombination
   jh, 24.08.97
*/
/*********************************************************************/

void lastkomb_erzeugen_cb(FL_OBJECT *obj, long arg)
{
  TypLastfallkombination* tmp_lfkomb;
  TypLastfall *tmp_lastfall;
  KeGlied *p;

  tmp_lfkomb = erzeugeLFKombination(-1);

  if(Modell->KeLast)
    KeDurchlaufVorwaerts(p,Modell->KeLast) { 

    tmp_lastfall = p->x;   
    
    if(tmp_lastfall->l_aktiv == 1) 
      LFKomb_addLF(tmp_lfkomb, tmp_lastfall->l_id, tmp_lastfall->d_gewicht);    
    
  }
    
    schreibeBrowserLastfallKombinationen();
    Modell->unsaved_changes++;

}



/*********************************************************************/
/* void lastkomb_loeschen_cb(FL_OBJECT *obj, long arg)               */
/*********************************************************************/
/*                                              
   cb - Fkt lschen der selktierten LF-Kombination
   jh, 24.08.97
*/
/*********************************************************************/

void lastkomb_loeschen_cb(FL_OBJECT *obj, long arg)
{
  long nummer,i,j; 
  char *c_tmp;
  char lastnummer[3];

  for(i=1;i<=fl_get_browser_maxline(lastfallbrowserform->lastfall_komb_browser);i++) {   
    if(fl_isselected_browser_line(lastfallbrowserform->lastfall_komb_browser,i)) {

      /* Hole Nummer des Lastfalls aus der Zeile im Browser */
      c_tmp = (char*) fl_get_browser_line(lastfallbrowserform->lastfall_komb_browser,i);
      
      for(j=0;j<3;j++)
	lastnummer[j] = c_tmp[j];     
      nummer = (long) atol(lastnummer);           
           
      loescheLFKombination(nummer);

      break;
    }
  }

  schreibeBrowserLastfallKombinationen();
  Modell->unsaved_changes++;

}



/*********************************************************************/
/* void lastkomb_aendern_cb(FL_OBJECT *obj, long arg)                */
/*********************************************************************/
/*                                              
   cb - Fkt ndern einer LF-Kombination
   jh, 24.08.97
*/
/*********************************************************************/

void lastkomb_aendern_cb(FL_OBJECT *obj, long arg)
{
  long nummer,i,j; 
  char *c_tmp;
  char lastnummer[3];
  TypLastfallkombination* tmp_lfkomb;
  TypLastfall *tmp_lastfall;
  KeGlied *p;
  char tmp_name[100];
  
  for(i=1;i<=fl_get_browser_maxline(lastfallbrowserform->lastfall_komb_browser);i++) {   

    if(fl_isselected_browser_line(lastfallbrowserform->lastfall_komb_browser,i)) {

      /* Hole Nummer des Lastfalls aus der Zeile im Browser */
      c_tmp = (char*) fl_get_browser_line(lastfallbrowserform->lastfall_komb_browser,i);
      
      for(j=0;j<3;j++)
	lastnummer[j] = c_tmp[j];     
      nummer = (long) atol(lastnummer);           
           
      /* Name sichern */
      LFKomb_getName(nummer,tmp_name);

      /* LF-Komb lschen */
      loescheLFKombination(nummer);

      /* neue LF-Komb erzeugen */
      tmp_lfkomb = erzeugeLFKombination(nummer);
      sprintf(tmp_lfkomb->c_name,"%s",tmp_name);

      /* LF in LF-Komb eintragen */
      if(Modell->KeLast) {
	KeDurchlaufVorwaerts(p,Modell->KeLast) { 
	  
	  tmp_lastfall = p->x;   
	  
	  if(tmp_lastfall->l_aktiv == 1) 
	    LFKomb_addLF(tmp_lfkomb, tmp_lastfall->l_id, tmp_lastfall->d_gewicht);    
	  
	}
      }
       Modell->unsaved_changes++;
       break;
    }
    
  }
  
  schreibeBrowserLastfallKombinationen();

}



/*********************************************************************/
/* void lastkomb_nameaendern_cb(FL_OBJECT *obj, long arg)            */
/*********************************************************************/
/*                                              
   cb - Fkt ndern der Bezeichnung einer LF-Kombination
   jh, 26.08.97
*/
/*********************************************************************/

void lastkomb_nameaendern_cb(FL_OBJECT *obj, long arg)
{
  input_status = 3;
  fl_set_input(inputform->input,"");
  fl_set_object_label(inputform->text,"Name");
  fl_show_form(inputform->inputform,
	       FL_PLACE_CENTER,FL_FULLBORDER,"Name ndern"); 

}
