/*
  Datei     : punkterezuegen_cb.c
  erstellt  : 13.05.97
  gendert  : 21.12.97
              02.02.98, jh
  Autor     : jh
  Bemerkung :
*/
 
  
#include "XStabDek.h"


TypPunkt *P=NULL;



/*********************************************************************/
/*  void punkterzeugen_abbrechen_button_cb(FL_OBJECT *obj, long arg) */
/*********************************************************************/
/*                                              
   'Punkt erzeugen' abbrechen
   jh, 21.12.97
*/
/*********************************************************************/

void punkterzeugen_abbrechen_button_cb(FL_OBJECT *obj, long arg)
{ 
  fl_hide_form(punkterzeugen_form->punkterzeugen);
  Zeichne();
}



/*********************************************************************/
/* void punkterzeugen_ok_button_cb(FL_OBJECT *obj, long arg)         */
/*********************************************************************/
/*                                              
   Punkt erzeugen !
   jh, 21.12.97
*/
/*********************************************************************/

void punkterzeugen_ok_button_cb(FL_OBJECT *obj, long arg)
{ 
  double x=0,y=0;
  char *c_tmp;


  if( P == NULL ) {
    
    /*  X und Y holen  */
    c_tmp = (char*) fl_get_input(punkterzeugen_form->punkterzeugen_x_input); 
    if(c_tmp)
      x = (double) atof(c_tmp);
    
    c_tmp = (char*) fl_get_input(punkterzeugen_form->punkterzeugen_y_input); 
    if(c_tmp)
    y = (double) atof(c_tmp);

    
    /*  relative Koordinaten  */
    if(prg_status == 3) {
      c_tmp = (char*) fl_get_input(punkterzeugen_form->punkterzeugen_pnr_input); 
      
      if(strcmp(c_tmp,"r") == 0  || strcmp(c_tmp,"@") == 0 ) {
	x += (*PUNKT).d_x;
	y += (*PUNKT).d_y;
      }

    }
  } 
    

  switch(prg_status) { 

  case 2 :   /* 'Stab erzeugen' ausgewaehlt, ersten Punkt festlegen */         
    Punkt_1_festlegen(x,y,P);
    break;

  case 3 :   /* zweiten Punkt festlegen */        
    Punkt_2_festlegen(x,y,P);
    break;
  }

  P = NULL;

  fl_hide_form(punkterzeugen_form->punkterzeugen);
  Zeichne();
  
}



void punkterzeugen_pnr_input_cb(FL_OBJECT *obj, long arg)
{ 
  TypPunkt *tmp_punkt; 
  long nummer;
  char *c_tmp;
  char c_nummer[20];
  
  /*  neue Nummer einlesen  */
  c_tmp = (char*) fl_get_input(obj); 
 

  /*  wenn Nummer 'r' oder '@' ist -> relative Koordinaten ! */
  if(strcmp(c_tmp,"r") == 0)
    return;
  if(strcmp(c_tmp,"@") == 0)
    return;

  nummer = (long) atol(c_tmp);


  /* gibt es den Punkt schon ? */
  tmp_punkt = suchePunkt_Nr(nummer, Modell->KePunkt_Nm);
  
  /* ja */
  if(tmp_punkt) {   

    P = tmp_punkt;

    sprintf(c_nummer,"%.3f", (*tmp_punkt).d_x);
    fl_set_input(punkterzeugen_form->punkterzeugen_x_input,c_nummer);
    
    sprintf(c_nummer,"%.3f", (*tmp_punkt).d_y);
    fl_set_input(punkterzeugen_form->punkterzeugen_y_input,c_nummer);
  }   
  else {    
    P = NULL;
  }
    
  
}
