/*
  Datei     : cb.c
  erstellt  : 25.06.96
  gendert  : 04.05.97
  Autor     : jh
*/


#include "XStabDek.h"



/*********************************************************************/
/* void WahlButton3(void)                                            */
/*********************************************************************/ 
/*                                              
   Auswahl des Kontextmens im Hauptfenster
   rechte Maustaste
   jh, 04.05.97    
*/
/*********************************************************************/

void WahlButton3( KeGlied *staebe )
{
  long dummy;
  Menge *M;
  TypStab_Nm* stab;

  switch(fl_dopup(popup)) {
    
  case 2 :     
    Edit(Suche_Stab_select_Nm(&dummy));   
    break;
      

  case 3 :   

    Material_Querschnitt_zuweisen( staebe );
    break;


  case 4 :
    Schnitt(Suche_Stab_select_Nm(&dummy));
    break;

  case 5 :
    Freigradedit();
    break;         
      
  case 6 :
    Lastedit(Suche_Stab_select_Nm(&dummy));
    break;


  case 7 :  /*  Belastung kopieren  */
    
    stab = (staebe->nach)->x;
    showCopyLoadDlg(stab);   
    break;
    

  case 20 :
    M = getSelectedM();
    Stabteilen_Nm(M,2);
    Mng_MengeLoeschen(M);
    Zeichne(); 
    break;

  case 21 :    
    M = getSelectedM();
    Stabteilen_Nm(M,3);
    Mng_MengeLoeschen(M);
    Zeichne();
    break;

  case 22 :
    M = getSelectedM();
    Stabteilen_Nm(M,4);
    Mng_MengeLoeschen(M);
    Zeichne();
    break;

  case 30 :
    M = getSelectedM();
    Loesche_Stab_Nm(M);
    Mng_MengeLoeschen(M);
    Zeichne();
    break;

  default :
    Zeichne();
    break;
  }
}


/* ...  warnungform  ... */

void warnungok_cb(FL_OBJECT *obj, long arg)
{
 
  switch(warnung_status) {
  case 1 : /* Projekt nicht vorhanden */                 
    break;   
    
  case 2 :  /* allg. Fehleranzeige */
    fl_hide_form(warnungform->warnung);
    break;
  }
}


void warnungabbruch_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(warnungform->warnung);
  Zeichne();
}


/* ...  Einstellungen Raster  ... */

void raster_close_button_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(rasterform->einstellung_raster);
  Zeichne();
}


void raster_input_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  double val;

  if( !Modell )
    return;
  
  c_tmp = (char*) fl_get_input(obj);
  val = atof(c_tmp);

  switch( arg ) {

  case 1 :   /*  set raster x  */

    Modell->Environment.raster_x = val;    
    break;

  case 2 :   /*  set raster y  */

    Modell->Environment.raster_y = val;  
    break;

  }
    
}


void fang_input_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  double val;
  
  if( !Modell )
    return;

  c_tmp = (char*) fl_get_input(obj);
  val = atof(c_tmp);

  switch( arg ) {

  case 1 :   /*  set fang x  */

    Modell->Environment.fang_x = val;    
    break;

  case 2 :   /*  set fang y  */

    Modell->Environment.fang_y = val;  
    break;

  }
    
}


void fang_choice_cb(FL_OBJECT *obj, long arg)
{
  setFang( fl_get_choice(obj) - 1 ); 
}



/* ...  info  ... */

void infook_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(infoform->infoform);
  Zeichne();
}
 
 
/* ...  inputform  ... */

void inputform_input_cb(FL_OBJECT *obj, long arg)
{}
 
 
void inputok_cb(FL_OBJECT *obj, long arg)
{ 
  switch(input_status) {
  case 1 :
    LastfallGewichten();
    break;
    
  case 2 : 
    Erzeuge_Projekt();
    break;
        
  case 3 :
    LFKomb_NameAendern();
    break;
    
  case 4 :
    Lastfall_Name_aendern();
    break;
  }
}

 
void inputabbruch_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(inputform->inputform);
}


/* ...  staberzeugenform  ... */

void stok_button_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(staberzeugenform->staberzeugen);
  Zeichne();
}


/* ...  Hauptfenster  ... */

void dummy_cb(FL_OBJECT *obj, long arg)
{}

