/*
  Datei     : export_cb.c
  erstellt  : 04.04.97
  geaendert : 05.05.97
  Autor     : jh, sm
*/


#include "XStabDek.h"

char export_dat_name[250];

extern char export_printcommand[];
extern int export_formatindex;
extern TypExport formate[];


void export_ok_cb(FL_OBJECT *obj, long arg)
{
  FILE *dat;

  if (export_formatindex < 0) {
    fl_show_alert("","kein Export-Format ausgewhlt","",1);
    return;
  }

  if(fl_get_button(export_form->datei_button)) {

    /* Datei speichern */

    /* hole Dateiname */
    sprintf(export_dat_name,"%s",
	    (char*) fl_get_input(export_form->export_datei));

    if(strlen(export_dat_name)<1) {
      fl_show_alert("","kein Dateiname zum","Exportieren ausgewhlt ",1);          
      return;
    }
        
    dat = fopen(export_dat_name,"w");      
    if(!dat) {
      fl_show_alert("","Fehler beim ffnen der Datei","",1);
      return;
    }
    
    /* schreibe Datei */
    formate[export_formatindex].ok(dat);
    fclose(dat);
      
  }
  else {
    
    /* tmp Datei, drucken */
    sprintf(export_dat_name,"%s/tmp",c_tmp_pfad);

    sprintf(export_printcommand,"%s",
	    (char*) fl_get_input(export_form->export_druckerkommando));
   
    dat = fopen(export_dat_name,"w");
    
    if(!dat) {
      fl_show_alert("","Fehler beim ffnen der tmp. Datei","",1);
      return;
    }
    
    /* schreibe temp. Datei */
    formate[export_formatindex].ok(dat);
    fclose(dat);
    
    /* drucke temp. Datei */
    export_drucke_tmp(export_dat_name, export_printcommand);
          
  }
  
  fl_hide_form(export_form->export);
  Zeichne();

}


void export_abbrechen_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(export_form->export);	       
  Zeichne();
}


void export_optionen_cb(FL_OBJECT *obj, long arg)
{
  if (export_formatindex >= 0) {
    formate[export_formatindex].options();
  }
  else      
    Meldung("kein Export-Format ausgewhlt ");  
}


void export_dateiwaehlen_cb(FL_OBJECT *obj, long arg)
{  
  char *tmp_text;  
  char c_text[250];

  tmp_text = (char*) fl_show_fselector("Datei Name",
				       c_projekte_pfad,  
				       formate[export_formatindex].extension,"");
  
  if(tmp_text) {
    sprintf(c_text,"%s",tmp_text);
    fl_set_input(export_form->export_datei, c_text);
  }
  
}


void export_choice_cb(FL_OBJECT *obj, long arg)
{
  export_formatindex = fl_get_choice(obj) - 1;
}

