/*
  Datei     : tab.c
  erstellt  : 30.11.96
  geaendert : 
  Autor     : jh, sm
*/
 

#include "XStabDek.h"



void tab_ok(FILE *d)
{
  KeGlied *p;
  /* long i;  */
  TypStab_Nm *tmp_stab;
  TypPunkt *tmp_punkt1,*tmp_punkt2;
  /* TypFreiGrad *tmp_freigrad;   */
  double x1,y1,x2,y2;

  
  fprintf(d,"Projektname\n\r");
  fprintf(d,"Nr.\tX1\tY1\tX2\tY2\tSchnittgren\n\r");


  if(!Modell->KeStab_Nm)
    return;

  KeDurchlaufVorwaerts(p,Modell->KeStab_Nm) {
    tmp_stab = p->x;
    
    fprintf(d,"%ld",(*tmp_stab).l_nummer);
    
    tmp_punkt1 = (*tmp_stab).pe_punkta;
    tmp_punkt2 = (*tmp_stab).pe_punktb;
    
    x1 = (*tmp_punkt1).d_x;
    y1 = (*tmp_punkt1).d_y;
    
    x2 = (*tmp_punkt2).d_x;
    y2 = (*tmp_punkt2).d_y;     
    
    fprintf(d,"\t%.2f\t%.2f\t%.2f\t%.2f\n",x1,y1,x2,y2);
    
    /*
       fprintf(d,"  Geometrie :\n\r");
       fprintf(d,"\tVon Punkt : %2ld   nach Punkt : %2ld\n\r", (*tmp_punkt1).l_nummer,(*tmp_punkt2).l_nummer);
       fprintf(d,"\tLaenge : %8.3f  Winkel : %8.3f\n\r", (*tmp_stab).d_laenge, (*tmp_stab).d_alpha);
       fprintf(d,"\n\r");
       
       fprintf(d,"  Querschnittswerte :\n\r");
       fprintf(d,"\t  ####  \n\r");
       fprintf(d,"\n\r");    
       
       fprintf(d,"  Freiheitsgrade :\n\r");
       fprintf(d,"\tFG Nummer :\n\r");
       fprintf(d,"\t");
       for(i=0;i<3;i++)
       {
	 tmp_freigrad = (*tmp_stab).pe_frei[i];	  
	 fprintf(d,"[%ld] : %2ld  ",i,(*tmp_freigrad).l_nummer);
       }
       fprintf(d,"\n\r\t");
       for(i=3;i<6;i++)
       {
	 tmp_freigrad = (*tmp_stab).pe_frei[i];	  
	 fprintf(d,"[%ld] : %2ld  ",i,(*tmp_freigrad).l_nummer);
       }
       
       
       fprintf(d,"  Schnittlasten :\n\r");
       fprintf(d,"\tN-A : %9.3f    N-B : %9.3f\n\r",(*tmp_stab).d_Na,(*tmp_stab).d_Nb);
       fprintf(d,"\tQ-A : %9.3f    Q-B : %9.3f\n\r",(*tmp_stab).d_Qa,(*tmp_stab).d_Qb);
       fprintf(d,"\tM-A : %9.3f    M-B : %9.3f\n\r",(*tmp_stab).d_Ma,(*tmp_stab).d_Mb);
       fprintf(d,"\n\n\r");
       */
  }  
  
  fprintf(d,"\f"); 

}


void tab_options()
{
  
}



