/*
  Datei    : liste_bildschirm.c
  erstellt : 04.04.97
  gendert : 
  Autor    : jh
*/


#include "XStabDek.h"


int form_erg_close(FL_FORM *form, void *arg);

char printcom[255]="lpr -Pascii";
char printfile[255]="";


/***********************************************************/ 
/* void liste_bildschirm(void)                             */
/***********************************************************/
/*                                              
   Funktion schreibt Ergebnisse in temp. Datei
   und liest diese dann in einen Browser
   jh, 04.04.97
*/
/***********************************************************/

void liste_bildschirm(KeGlied* staebe)
{  
  FILE *d;
  char c_text[255];
  char *text;
  char zeichen;
  long i;
  long maxchar=2000;

  if( !staebe )
    return;

  ergebnisseform = create_form_ergebnisse();
  set_res_erg(ergebnisseform);
  
  /* temporre Datei schreiben */
  sprintf(c_text, "%s/tmp_datei", c_tmp_pfad);

  d = fopen(c_text,"w");
  if(!d) {
    Meldung("Ausgabe ist nicht mglich. Temp. Datei konnte nicht geschrieben werden !");
    return;
  }
  
  liste_ok(d, staebe);
  
  fclose(d);
  
  /* tmp-Datei in input-feld schreiben */
  d = fopen(c_text,"r");
  if(!d) {
    Meldung("Ausgabe ist nicht mglich. Temp. Datei konnte nicht geffnet werden !");
    return;
  }

  text = (char*) calloc (maxchar,sizeof(char));
  if(!text) {
    fprintf(stderr,"Mem-Fault\n");
    return;
  }


  i=0;
  while((zeichen = getc(d)) != EOF) {
    if(i<maxchar)
      text[i] = zeichen;
    else {
      maxchar *= 2;
      if(!(text = (char*) realloc (text,maxchar))) {
	fprintf(stderr,"Mem-Fault\n");
	break;
      }
      text[i] = zeichen;
    }
    i++;        
  }
  text[i] = '\0';

  fl_set_input(ergebnisseform->ergebnisse_input,text);
  
  free(text);

  fl_show_form(ergebnisseform->ergebnisse,
	       FL_PLACE_POSITION,FL_TRANSIENT,"Ergebnisse"); 
  
}



/***********************************************************/ 
/* void set_res_erg(FD_ergebnisse *form)                   */
/***********************************************************/
/*                                              
   Funktion setzt die ressourcen des Ergebnisbrowsers   
   jh, 04.04.97
*/
/***********************************************************/

void set_res_erg(FD_ergebnisse *form)
{ 
  fl_set_object_lstyle(ergebnisseform->ergebnisse_input,17); 
  fl_set_form_position(form->ergebnisse,200,100);  
  fl_set_object_bw(form->ergebnisse_ok,-2); 

  fl_set_form_atclose(ergebnisseform->ergebnisse, 
		      (int (*)(FL_FORM*,void*)) form_erg_close,NULL);
}



/***********************************************************/ 
/* void set_res_druckopt(FD_ergebnisse *form)              */
/***********************************************************/
/*                                              
   Funktion setzt die ressourcen der Form
   Druck-Optionen
   jh, 01.05.97
*/
/***********************************************************/

void set_res_druckopt(FD_ergebnisse *form)
{ 
  fl_set_input(erg_druckopt_form->ergebnisse_opt_kommando_input,printcom);
  fl_set_input(erg_druckopt_form->ergebnisse_opt_pfad_input,printfile);
  fl_set_form_atclose(erg_druckopt_form->druckoptionen, 
		      (int (*)(FL_FORM*,void*)) form_erg_close,NULL);
}


int form_erg_close(FL_FORM *thisform, void *arg)
{  
  if(thisform == ergebnisseform->ergebnisse) {
    fl_hide_form(thisform);   
    Zeichne();        
    return FL_IGNORE;
  } 
  return FL_OK;
}
