/*
  Datei     : liste_bildschirm_cb.c
  erstellt  : 04.04.97
  gendert  : 01.05.97
  Autor     : jh
  Bemerkung :
*/


#include "XStabDek.h"


extern void set_res_druckopt(FD_druckoptionen *form);
extern char printcom[];
extern char printfile[];


/***********************************************************/
/* void ergebnisse_ok_cb(FL_OBJECT *obj, long arg)         */
/***********************************************************/ 
/*                                              
   cb-Fkt des temp. Ergebnissebrowers
   Schlieen der Form
   jh, 04.04.97
*/
/***********************************************************/

void ergebnisse_ok_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(ergebnisseform->ergebnisse);
  fl_free_form(ergebnisseform->ergebnisse);
  free(ergebnisseform);
  Zeichne();
}



/***********************************************************/
/* void ergebnisse_drucken_cb(FL_OBJECT *obj, long arg)    */
/***********************************************************/ 
/*                                              
   cb-Fkt des temp. Ergebnissebrowers
   die Form Druck-Optionen wird gezeigt
   jh, 04.04.97
*/
/***********************************************************/

void ergebnisse_drucken_cb(FL_OBJECT *obj, long arg)
{
  erg_druckopt_form = create_form_druckoptionen();
  set_res_druckopt(erg_druckopt_form);
  
  fl_show_form(erg_druckopt_form->druckoptionen,
	       FL_PLACE_CENTER,FL_TRANSIENT,"Ergebnisse drucken"); 
}



/*********************************************************************/
/* void ergebnisse_opt_abbrechen_cb(FL_OBJECT *obj, long arg)        */
/*********************************************************************/ 
/*                                              
   cb-Fkt 
   Fenster Druck-Optionen schlieen
   jh, 01.05.97
*/
/*********************************************************************/

void ergebnisse_opt_abbrechen_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(erg_druckopt_form->druckoptionen); 
  fl_free_form(erg_druckopt_form->druckoptionen);
  free(erg_druckopt_form);
}



/*********************************************************************/
/* void ergebnisse_opt_dateiwaehlen_cb(FL_OBJECT *obj, long arg)     */
/*********************************************************************/ 
/*                                              
   cb-Fkt 
   datei-name wird ausgewhlt
   jh, 01.05.97
*/
/*********************************************************************/

void ergebnisse_opt_dateiwaehlen_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  char c_pfad[255];

  sprintf(c_pfad,"%s",c_projekte_pfad);  
  c_tmp = (char*) fl_show_fselector("Datei Name",c_pfad,"*.list","");

  if(c_tmp)
    fl_set_input(erg_druckopt_form->ergebnisse_opt_pfad_input,c_tmp);
  
}



/*********************************************************************/
/* void ergebnisse_opt_drucken_cb(FL_OBJECT *obj, long arg)          */
/*********************************************************************/ 
/*                                              
   cb-Fkt 
   die Ergebnisse, die im Browser angezeigt werden, werden
   gedruckt
   jh, 01.05.97
*/
/*********************************************************************/
void ergebnisse_opt_drucken_cb(FL_OBJECT *obj, long dummy)
{ 
  FILE *d;

  if(fl_get_button(erg_druckopt_form->erg_opt_drucker_checkbutton)) {   
    char datname[250];
    
    sprintf(printcom,"%s", 
	    (char*) fl_get_input(erg_druckopt_form->ergebnisse_opt_kommando_input));

    if(strlen(printcom)<1) {
      fl_show_alert("","Geben Sie ein Druckkommando ein","",1);
      return;
    }

    /* Datei erstellen -> nderungen sind mglich ber Input-Feld */
    
    sprintf(datname,"%s/tmp_datei2",c_tmp_pfad);
       
    if(!(d = fopen(datname,"w"))) {
      fl_show_alert("","Fehler beim Schreiben der temp. Datei !","",1);
      return;
    }
    
    fprintf(d,"%s", fl_get_input(ergebnisseform->ergebnisse_input));

    fclose(d);     
       
    /* Datei 'datname' drucken */
    export_drucke_tmp(datname,printcom);
    
  }
  else {    /* Ausgabe in Datei */   
    char *c_tmp=NULL;
    char c_text[200];

    c_tmp = (char*) fl_get_input(erg_druckopt_form->ergebnisse_opt_pfad_input);
    sprintf(printfile,"%s",c_tmp);   

    if(strlen(printfile)<1) {
      fl_show_alert("","kein Dateiname augewhlt","",1);            
      return;
    }
          
    d = fopen(printfile,"w");
    if(!d) {
      fl_show_alert("","Ausgabe ist nicht mglich",
		    "Datei konnte nicht geschrieben werden !",1);
      return;
    }

    fprintf(d,"%s", fl_get_input(ergebnisseform->ergebnisse_input));
    
    fclose(d);
    
    sprintf(c_text,"Datei %s geschrieben ",printfile);
    Meldung(c_text);

  }
  
  fl_hide_form(erg_druckopt_form->druckoptionen); 
  fl_free_form(erg_druckopt_form->druckoptionen);
  free(erg_druckopt_form);

}

