/*
  Datei     : ps_view.c
  erstellt  : 30.03.97
  geaendert : 
  Autor     : jh
*/
 
 
#include "XStabDek.h"


/***********************************************************/
/* void Zoom_all(void)                                     */
/***********************************************************/ 
/*                                              
   Funktion schreibt eine temporre PS-Datei
   und zeigt diese mit dem PS-Viewer
   jh, 30.03.97
*/
/***********************************************************/

void ps_view(void)
{
  char c_text[200];
  pid_t pid;
  FILE *dat;

  sprintf(c_text,"%s/tmp.ps",c_tmp_pfad);

  dat = fopen(c_text,"w");

  if(dat) {
    ps_zeichne(dat);
    fclose(dat);
  }
  else {
    Meldung("Temporre PS-Datei konnte nicht geschrieben werden ! ");
    return;
  }
  

  Meldung("Vorschau ...");

  if(strlen(c_psviewer) < 1)  {
    Meldung("PS - Viewer konnte nicht geladen werden ! ");
    return;
  }

  if( (pid = fork()) < 0 ) {
    Meldung("fork error !");
  }
  else {

    if ( pid == 0 ) 
      if (execlp(c_psviewer, c_psviewer, c_text,NULL) < 0) 
	exit(0);
    
  }

}





