/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gui_freigrad.h"

FD_freigrad *create_form_freigrad(void)
{
  FL_OBJECT *obj;
  FD_freigrad *fdui = (FD_freigrad *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->freigrad = fl_bgn_form(FL_NO_BOX, 980, 760);
  obj = fl_add_box(FL_UP_BOX,0,0,980,760,"");
  obj = fl_add_box(FL_UP_BOX,20,20,200,40,"");
  obj = fl_add_box(FL_UP_BOX,20,60,940,620,"");
  fdui->freigrad_ok = obj = fl_add_button(FL_NORMAL_BUTTON,780,710,170,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,freigrad_ok_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,80,30,180,"X");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,280,30,180,"Y");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,480,30,180,"Z");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,550,80,390,120,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,70,80,450,180,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,70,480,450,180,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_text(FL_NORMAL_TEXT,80,130,120,30,"Verschiebung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,560,90,120,30,"Drehung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,80,90,120,30,"FG Nummer");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,690,160,50,30,"[rad]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,220,50,30,"[kN]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,560,130,180,20,"global");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,750,130,180,20,"lokal");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,130,50,30,"[m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->von_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,30,20,90,40," A");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_callback(obj,von_button_cb,0);
  fdui->nach_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,120,20,90,40," B");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
    fl_set_object_callback(obj,nach_button_cb,0);
  fdui->verschiebung_0_input = obj = fl_add_input(FL_FLOAT_INPUT,210,130,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_verschiebung_cb,0);
  fdui->einwirkung_0_text = obj = fl_add_text(FL_NORMAL_TEXT,210,220,100,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->drehung_global_input = obj = fl_add_input(FL_FLOAT_INPUT,560,160,120,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drehung_global_input_cb,0);
  fdui->drehung_lokal_input = obj = fl_add_input(FL_FLOAT_INPUT,750,160,120,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drehung_lokal_input_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,80,180,120,30,"Federkonstante");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->feder_0_input = obj = fl_add_input(FL_FLOAT_INPUT,210,180,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_feder_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,330,180,50,30,"[kN/m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,70,280,450,180,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_text(FL_NORMAL_TEXT,80,330,120,30,"Verschiebung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,80,290,120,30,"FG Nummer");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,420,50,30,"[kN]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,330,50,30,"[m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->neuerFG_1_button = obj = fl_add_button(FL_NORMAL_BUTTON,330,290,170,30,"neuen FG erzeugen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_erzeugen_cb,1);
  fdui->verschiebung_1_input = obj = fl_add_input(FL_FLOAT_INPUT,210,330,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_verschiebung_cb,1);
  obj = fl_add_text(FL_NORMAL_TEXT,80,380,120,30,"Federkonstante");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->feder_1_input = obj = fl_add_input(FL_FLOAT_INPUT,210,380,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_feder_cb,1);
  obj = fl_add_text(FL_NORMAL_TEXT,330,380,50,30,"[kN/m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->neuerFG_0_button = obj = fl_add_button(FL_NORMAL_BUTTON,330,90,170,30,"neuen FG erzeugen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_erzeugen_cb,0);
  fdui->einwirkung_1_text = obj = fl_add_text(FL_NORMAL_TEXT,210,420,100,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,880,160,50,30,"[rad]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,80,490,120,30,"FG Nummer");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->neuerFG_2_button = obj = fl_add_button(FL_NORMAL_BUTTON,330,490,170,30,"neuen FG erzeugen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_erzeugen_cb,2);
  obj = fl_add_text(FL_NORMAL_TEXT,80,530,120,30,"Verdrehung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,330,530,50,30,"[ / ]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->verschiebung_2_input = obj = fl_add_input(FL_FLOAT_INPUT,210,530,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_verschiebung_cb,2);
  obj = fl_add_text(FL_NORMAL_TEXT,330,620,50,30,"[kNm]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->einw_2_text = obj = fl_add_text(FL_NORMAL_TEXT,80,620,120,30,"Einwirkung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,80,580,120,30,"Federkonstante");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->feder_2_input = obj = fl_add_input(FL_FLOAT_INPUT,210,580,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_feder_cb,2);
  obj = fl_add_text(FL_NORMAL_TEXT,330,580,50,30,"[kNm]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->einwirkung_2_text = obj = fl_add_text(FL_NORMAL_TEXT,210,620,100,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->einw_1_text = obj = fl_add_text(FL_NORMAL_TEXT,80,420,120,30,"Einwirkung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->einw_0_text = obj = fl_add_text(FL_NORMAL_TEXT,80,220,120,30,"Einwirkung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);

  fdui->pd_0 = fl_bgn_group();
  fdui->primal_0_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,130,120,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_primal_cb,0);
  fdui->dual_0_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,220,120,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_dual_cb,0);
  fl_end_group();


  fdui->pd_1 = fl_bgn_group();
  fdui->primal_1_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,330,120,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_primal_cb,1);
  fdui->dual_1_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,420,120,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_dual_cb,1);
  fl_end_group();


  fdui->pd_2 = fl_bgn_group();
  fdui->primal_2_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,530,80,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_primal_cb,2);
  fdui->dual_2_check = obj = fl_add_checkbutton(FL_RADIO_BUTTON,390,620,120,30,"eingeprgt");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_dual_cb,2);
  fl_end_group();

  fdui->nummer_0_input = obj = fl_add_input(FL_INT_INPUT,210,90,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_nummer_input_cb,0);
  fdui->nummer_1_input = obj = fl_add_input(FL_INT_INPUT,210,290,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_nummer_input_cb,1);
  fdui->nummer_2_input = obj = fl_add_input(FL_INT_INPUT,210,490,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,fg_nummer_input_cb,2);
  fdui->fg_menu = obj = fl_add_menu(FL_PULLDOWN_MENU,760,210,180,30,"Zeichnen");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,fg_menu_cb,0);
  fl_end_form();

  fdui->freigrad->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

