/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gui_scale.h"

FD_scale *create_form_scale(void)
{
  FL_OBJECT *obj;
  FD_scale *fdui = (FD_scale *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->scale = fl_bgn_form(FL_NO_BOX, 130, 620);
  obj = fl_add_box(FL_UP_BOX,0,0,130,620,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,45,110,525,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_TOP_BCOL);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->posi = obj = fl_add_positioner(FL_NORMAL_POSITIONER,30,490,70,50,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_BLACK);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,posi_cb,0);
  fdui->input6 = obj = fl_add_input(FL_FLOAT_INPUT,20,80,90,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,input_cb,0);
  fdui->input4 = obj = fl_add_input(FL_FLOAT_INPUT,20,150,90,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,input_cb,0);
  fdui->input3 = obj = fl_add_input(FL_FLOAT_INPUT,20,220,90,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,input_cb,0);
  fdui->input2 = obj = fl_add_input(FL_FLOAT_INPUT,20,290,90,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,input_cb,0);
  fdui->input1 = obj = fl_add_input(FL_FLOAT_INPUT,20,360,90,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_TOP_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,input_cb,0);
  fdui->maszstab = obj = fl_add_text(FL_NORMAL_TEXT,10,10,110,30,"Mastab");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_BLACK);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,125,90,20,"Streckenlast");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_BLACK);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,195,90,20,"Punktlast");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_BLACK);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,265,90,20,"Verschiebung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,335,90,20,"System");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,405,90,20,"Position");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,55,90,20,"Schnittkraft");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_BLACK);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->hor_min_button = obj = fl_add_button(FL_NORMAL_BUTTON,15,490,15,50,"@4>");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_INACTIVE);
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,pos_button_cb,3);
  fdui->ver_max_button = obj = fl_add_button(FL_NORMAL_BUTTON,30,470,70,20,"@8>");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_INACTIVE);
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,pos_button_cb,2);
  fdui->ver_min_button = obj = fl_add_button(FL_NORMAL_BUTTON,30,540,70,20,"@2>");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_INACTIVE);
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,pos_button_cb,4);
  fdui->hor_max_button = obj = fl_add_button(FL_NORMAL_BUTTON,100,490,15,50,"@>");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_COL1,FL_INACTIVE);
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,pos_button_cb,1);
  fdui->hor_pos_input = obj = fl_add_input(FL_NORMAL_INPUT,20,430,45,25,"");
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,hor_pos_input_cb,0);
  fdui->ver_pos_input = obj = fl_add_input(FL_NORMAL_INPUT,65,430,45,25,"");
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,hor_pos_input_cb,0);
  fdui->scale_close_button = obj = fl_add_button(FL_NORMAL_BUTTON,10,580,110,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,scale_close_button_cb,0);
  fl_end_form();

  fdui->scale->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

