/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "guiexp.h"

FD_export *create_form_export(void)
{
  FL_OBJECT *obj;
  FD_export *fdui = (FD_export *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->export = fl_bgn_form(FL_NO_BOX, 620, 470);
  obj = fl_add_box(FL_UP_BOX,0,0,620,470,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,600,370,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_box(FL_UP_BOX,20,270,580,100,"");
  obj = fl_add_box(FL_UP_BOX,20,130,580,100,"");
  obj = fl_add_box(FL_UP_BOX,20,20,580,100,"");
  fdui->export_ok = obj = fl_add_button(FL_NORMAL_BUTTON,410,410,180,30,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,export_ok_cb,0);
  fdui->export_abbrechen = obj = fl_add_button(FL_NORMAL_BUTTON,30,410,180,30,"Abbrechen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,export_abbrechen_cb,0);
  fdui->export_datei = obj = fl_add_input(FL_NORMAL_INPUT,230,180,360,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,280,180,30,"Ausgabe - Format :");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->export_choice = obj = fl_add_choice(FL_NORMAL_CHOICE2,230,280,360,30,"");
    fl_set_object_callback(obj,export_choice_cb,0);
  fdui->export_optionen = obj = fl_add_button(FL_NORMAL_BUTTON,30,330,180,30,"Optionen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,export_optionen_cb,0);
  fdui->export_dateiwaehlen = obj = fl_add_button(FL_NORMAL_BUTTON,30,180,180,30,"Ausgabedatei whlen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,export_dateiwaehlen_cb,0);

  fdui->ausgabemedium = fl_bgn_group();
  fdui->datei_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,30,140,160,30,"  Datei");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->drucker_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,30,30,160,30,"  Drucker");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fl_end_group();

  fdui->export_druckerkommando = obj = fl_add_input(FL_NORMAL_INPUT,230,70,360,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,70,180,30,"Druckkommando");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->export->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_ps_opt_form *create_form_ps_opt_form(void)
{
  FL_OBJECT *obj;
  FD_ps_opt_form *fdui = (FD_ps_opt_form *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->ps_opt_form = fl_bgn_form(FL_NO_BOX, 560, 480);
  obj = fl_add_box(FL_UP_BOX,0,0,560,480,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,330,230,210,110,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,330,50,210,110,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,310,340,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  fdui->moment_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,200,140,30," Moment");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->querkraft_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,230,140,30," Querkraft");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->normalkraft_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,260,140,30," Normalkraft");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->verschiebung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,300,140,30," Verschiebung");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,530,30,"Druckoptionen Postscript");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);

  fdui->format = fl_bgn_group();
  fdui->dina5_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,360,65,140,30,"  DIN A5");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->dina4_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,360,100,140,30,"  DIN A4");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
  fl_end_group();

  fdui->beschriftung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,340,140,30," Beschriftung");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->dopt_ok_button = obj = fl_add_button(FL_NORMAL_BUTTON,360,430,140,30,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dopt_ok_button_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,510,490,10,10,"Button");
  fdui->dopt_abbruch_button = obj = fl_add_button(FL_NORMAL_BUTTON,40,430,140,30,"Abbruch");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dopt_abbruch_button_cb,0);
  fdui->mass_m = obj = fl_add_input(FL_NORMAL_INPUT,190,200,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->mass_q = obj = fl_add_input(FL_NORMAL_INPUT,190,230,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->mass_n = obj = fl_add_input(FL_NORMAL_INPUT,190,260,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->mass_verschieb = obj = fl_add_input(FL_NORMAL_INPUT,190,300,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,190,60,100,30,"Mastab");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,330,180,210,40,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  fdui->seitenzahl_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,360,185,140,30," Seitenzahlen");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->dopt_view_button = obj = fl_add_button(FL_NORMAL_BUTTON,340,360,190,30,"Vorschau");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dopt_view_button_cb,0);
  fdui->system_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,100,140,30," System");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->fg_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,130,140,30," Freiheitsgrade");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->selected_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,30,160,140,30," markierte Stbe");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);

  fdui->hochquer = fl_bgn_group();
  fdui->hoch_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,360,250,140,30,"  Hochformat");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
    fl_set_button(obj, 1);
  fdui->quer_button = obj = fl_add_checkbutton(FL_RADIO_BUTTON,360,290,140,30,"  Querformat");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,dummy_cb,0);
  fl_end_group();

  fl_end_form();

  fdui->ps_opt_form->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

