/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "guilast.h"

FD_lastfall *create_form_lastfall(void)
{
  FL_OBJECT *obj;
  FD_lastfall *fdui = (FD_lastfall *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->lastfall = fl_bgn_form(FL_NO_BOX, 500, 270);
  obj = fl_add_box(FL_UP_BOX,0,0,500,270,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,20,460,180,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->lastfallnummer = obj = fl_add_input(FL_INT_INPUT,140,40,60,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->lastfallname = obj = fl_add_input(FL_NORMAL_INPUT,210,90,250,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->nummervergeben = obj = fl_add_button(FL_NORMAL_BUTTON,210,40,170,30,"Nummer vergeben");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,nummervergeben_cb,0);
  fdui->lastfallerzeugen = obj = fl_add_button(FL_RETURN_BUTTON,290,220,170,30,"Lastfall erzeugen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastfallerzeugen_cb,0);
  fdui->lastfallabbruch = obj = fl_add_button(FL_NORMAL_BUTTON,40,220,170,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastfallabbruch_cb,0);
  fdui->lf_nummertext = obj = fl_add_text(FL_NORMAL_TEXT,40,40,90,30,"Nummer");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,90,160,30,"Bezeichnung");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,140,160,30,"Gewicht");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastfallgewicht = obj = fl_add_input(FL_NORMAL_INPUT,210,140,80,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fl_end_form();

  fdui->lastfall->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_lastfallwahl *create_form_lastfallwahl(void)
{
  FL_OBJECT *obj;
  FD_lastfallwahl *fdui = (FD_lastfallwahl *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->lastfallwahl = fl_bgn_form(FL_NO_BOX, 560, 320);
  obj = fl_add_box(FL_UP_BOX,0,0,560,320,"");
  fdui->lastfallbrowser = obj = fl_add_browser(FL_MULTI_BROWSER,10,40,230,90,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_NorthWest, FL_South);
    fl_set_object_callback(obj,lastfallbrowser_cb,0);
  fdui->lfbrowserok = obj = fl_add_button(FL_NORMAL_BUTTON,340,270,200,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthEast, FL_SouthEast);
    fl_set_object_callback(obj,lfbrowserok_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,10,230,25,"aktive Lastflle");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_North);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->lastwahlloeschen = obj = fl_add_button(FL_NORMAL_BUTTON,130,140,110,30,"Entfernen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastwahlloeschen_cb,0);
  fdui->lastwahlgewichten = obj = fl_add_button(FL_NORMAL_BUTTON,10,220,110,30,"Gewichten");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastwahlgewichten_cb,0);
  fdui->lastwahlerzeugen = obj = fl_add_button(FL_NORMAL_BUTTON,10,140,110,30,"Erzeugen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastwahlerzeugen_cb,0);
  fdui->lastwahlkopieren = obj = fl_add_button(FL_NORMAL_BUTTON,10,180,110,30,"Kopieren");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastwahlkopieren_cb,0);
  fdui->lastwahlnameaendern = obj = fl_add_button(FL_NORMAL_BUTTON,130,180,110,30,"Name ndern");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastwahlnameaendern_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,310,10,230,25,"Lastfallkombinationen");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_North, FL_East);
    fl_set_object_resize(obj, FL_RESIZE_X);
  fdui->lastfall_komb_browser = obj = fl_add_browser(FL_HOLD_BROWSER,310,40,230,90,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_gravity(obj, FL_North, FL_SouthEast);
    fl_set_object_callback(obj,lastfall_komb_browser_cb,0);
  fdui->lastkomb_lerzeugen = obj = fl_add_button(FL_NORMAL_BUTTON,250,60,50,40,"@>");
    fl_set_object_lcolor(obj,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_North, FL_North);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,lastkomb_erzeugen_cb,0);
  fdui->lastkomb_loeschen = obj = fl_add_button(FL_NORMAL_BUTTON,430,140,110,30,"Entfernen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastkomb_loeschen_cb,0);
  fdui->lastkomb_aendern = obj = fl_add_button(FL_NORMAL_BUTTON,430,180,110,30,"ndern");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastkomb_aendern_cb,0);
  fdui->lastkomb_nameaendern = obj = fl_add_button(FL_NORMAL_BUTTON,430,220,110,30,"Name ndern");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,lastkomb_nameaendern_cb,0);
  fl_end_form();

  fdui->lastfallwahl->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_lastedit *create_form_lastedit(void)
{
  FL_OBJECT *obj;
  FD_lastedit *fdui = (FD_lastedit *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->lastedit = fl_bgn_form(FL_NO_BOX, 940, 760);
  obj = fl_add_box(FL_UP_BOX,0,0,940,760,"");
  fdui->lastedit_lasteintragen = obj = fl_add_button(FL_NORMAL_BUTTON,20,530,160,30,"Last eintragen");
    fl_set_button_shortcut(obj,"^M",1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastedit_lasteintragen_cb,0);
  fdui->lasteditabbruch = obj = fl_add_button(FL_NORMAL_BUTTON,20,700,150,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lasteditabbruch_cb,0);
  fdui->lastfalleditbrow1 = obj = fl_add_browser(FL_MULTI_BROWSER,380,95,260,120,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,lastfalleditbrow1_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,380,55,260,30,"Lastflle");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,660,55,260,30,"Lasten");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastfalleditbrow2 = obj = fl_add_browser(FL_HOLD_BROWSER,660,95,260,120,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,lastfalleditbrow2_cb,0);
  fdui->lastedit_stabnummer = obj = fl_add_text(FL_NORMAL_TEXT,20,20,150,30,"Stab Nr.");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->lastedit_stablaenge = obj = fl_add_text(FL_NORMAL_TEXT,180,20,170,30,"Lnge");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lasttyp_choice = obj = fl_add_choice(FL_NORMAL_CHOICE2,20,95,330,30,"");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,lasttyp_choice_cb,0);
  fdui->lastedit_lastloeschen = obj = fl_add_button(FL_NORMAL_BUTTON,190,530,160,30,"Last lschen");
    fl_set_button_shortcut(obj,"^M",1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastedit_lastloeschen_cb,0);
  fdui->lastedit_lastaendern = obj = fl_add_button(FL_NORMAL_BUTTON,20,570,160,30,"Last ndern");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastedit_lastaendern_cb,0);
  fdui->lastedit_stablaenge_projektion = obj = fl_add_text(FL_NORMAL_TEXT,180,55,170,30,"Projektion");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lcolor(obj,FL_SLATEBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_lastverschieben = obj = fl_add_button(FL_NORMAL_BUTTON,20,610,160,30,"Last verschieben");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastedit_lastverschieben_cb,0);
  fdui->lastedit_lastkopieren = obj = fl_add_button(FL_NORMAL_BUTTON,190,610,160,30,"Last kopieren");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,lastedit_lastkopieren_cb,0);

  fdui->punktlast = fl_bgn_group();
  obj = fl_add_frame(FL_ENGRAVED_FRAME,25,380,320,80,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,25,245,320,120,"");
  obj = fl_add_text(FL_NORMAL_TEXT,290,385,46,30,"[m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_rahmen_pl = obj = fl_add_frame(FL_UP_FRAME,20,140,330,325,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->lastedit_pl_art = obj = fl_add_choice(FL_NORMAL_CHOICE2,180,200,140,30,"");
    fl_set_object_callback(obj,lastedit_pl_art_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,200,132,30,"Art");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_groesse = obj = fl_add_input(FL_NORMAL_INPUT,180,250,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->lastedit_pl_winkel = obj = fl_add_input(FL_NORMAL_INPUT,180,290,102,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,290,132,30,"Winkel");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,290,46,30,"[deg]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_pos = obj = fl_add_input(FL_NORMAL_INPUT,180,385,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,250,132,30,"Grsse");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,385,132,30,"Position");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_groesse_einheit = obj = fl_add_text(FL_NORMAL_TEXT,290,250,46,30,"[kN]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_koordsys_winkel = obj = fl_add_choice(FL_NORMAL_CHOICE2,180,330,140,30,"");
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,330,132,30,"Koordinatensytem");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_koordsys_pos = obj = fl_add_choice(FL_NORMAL_CHOICE2,180,425,140,30,"");
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,425,132,30,"Koordinatensytem");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,150,132,30,"Name");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_pl_name = obj = fl_add_input(FL_NORMAL_INPUT,180,150,160,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fl_end_group();


  fdui->streckenlast = fl_bgn_group();
  fdui->lastedit_rahmen_sl = obj = fl_add_frame(FL_UP_FRAME,20,140,330,320,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->lastedit_sl_groessea = obj = fl_add_input(FL_NORMAL_INPUT,180,200,100,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->lastedit_sl_groesseb = obj = fl_add_input(FL_NORMAL_INPUT,180,240,102,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,380,132,30,"Winkel");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,200,132,30,"Grsse Punkt A");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,240,132,30,"Grsse Punkt B");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,292,200,46,30,"[kN/m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,240,46,30,"[kN/m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,380,46,30,"[deg]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,290,132,30,"Position A");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_sl_anf = obj = fl_add_input(FL_NORMAL_INPUT,180,290,102,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->lastedit_sl_end = obj = fl_add_input(FL_NORMAL_INPUT,180,330,102,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->lastedit_sl_winkel = obj = fl_add_input(FL_NORMAL_INPUT,180,380,102,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,330,132,30,"Position B");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_sl_koordsys = obj = fl_add_choice(FL_NORMAL_CHOICE2,180,420,140,30,"");
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,420,132,30,"Koordinatensytem");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,290,46,30,"[m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,290,330,46,30,"[m]");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,30,150,132,30,"Name");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->lastedit_sl_name = obj = fl_add_input(FL_NORMAL_INPUT,180,150,160,30,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,dummy_cb,0);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,25,195,320,260,"");
  fl_end_group();

  fl_end_form();

  fdui->lastedit->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_copyLoad *create_form_copyLoad(void)
{
  FL_OBJECT *obj;
  FD_copyLoad *fdui = (FD_copyLoad *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->copyLoad = fl_bgn_form(FL_NO_BOX, 850, 415);
  obj = fl_add_box(FL_FLAT_BOX,0,0,850,415,"");
  fdui->load_source_browser = obj = fl_add_browser(FL_NORMAL_BROWSER,60,60,265,210,"");
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->load_target_browser = obj = fl_add_browser(FL_NORMAL_BROWSER,460,60,350,215,"");
    fl_set_object_callback(obj,dummy_cb,0);
  fdui->copyload_button = obj = fl_add_button(FL_NORMAL_BUTTON,355,125,65,65,"@>");
    fl_set_object_lcolor(obj,FL_GREEN);
    fl_set_object_callback(obj,copyload_button_cb,0);
  fdui->close_button = obj = fl_add_button(FL_NORMAL_BUTTON,625,335,160,35,"");
    fl_set_object_callback(obj,close_button_cb,0);
  fl_end_form();

  fdui->copyLoad->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

