/*
  Datei     : init.c
  erstellt  : 15.03.97
  geaendert : 
  Autor     : jh
*/
 

#include "XStabDek.h"



/*********************************************************************/
/* void init_lastgrafik(void)                                        */
/*********************************************************************/
/*                                              
   Grafik fuer das Editieren eines Lastfalls initialisieren 
   jh, 08.08.97
*/
/*********************************************************************/

void init_lastgrafik(void)
{  
  XSizeHints hint; 

  hint.x     = 380;         hint.y = 240;   /* s. Last.c -> Zeichne_Lastedit() */
  hint.width = 540;         hint.height = 500;
  hint.flags = PPosition | PSize;

  lasteditwin = XCreateSimpleWindow(display, fl_winget() ,
				    hint.x, hint.y, hint.width, hint.height,
				    2, 
				    COL_RAND,
				    xs_color.bg);

  /* XSelectInput(display,win,ButtonPressMask | KeyPressMask | ExposureMask); */
  XSelectInput(display,lasteditwin,ButtonPressMask | KeyPressMask);

  XMapRaised(display,lasteditwin);
  fl_set_event_callback(win2_cb,0);
}



/*********************************************************************/
/* void init_schnittgrafik(void)                                     */
/*********************************************************************/
/*                                              
   Grafik fuer das Darstellen der Schnittgroessen initialisieren 
   jh, 08.08.97
*/
/*********************************************************************/

void init_schnittgrafik(void)
{  
  XSizeHints hint;
  long bg,fg;

  bg = fl_get_flcolor(FL_WHITE);
  fg = fl_get_flcolor(FL_BLACK);

  hint.x     = 30;          hint.y = 30;
  hint.width = 580;         hint.height = 450;  /* s.a. schnitt.c */
  hint.flags = PPosition | PSize;

  schnittwin = XCreateSimpleWindow(display, fl_winget() ,
				   hint.x, hint.y, hint.width, hint.height,
				   2, 
				   COL_RAND,
				   xs_color.bg);

  /* XSelectInput(display,win,ButtonPressMask | KeyPressMask | ExposureMask); */
  XSelectInput(display,schnittwin,ButtonPressMask | KeyPressMask);

  XMapRaised(display,schnittwin);
  fl_set_event_callback(win3_cb,0);
}



/***********************************************************/
/* void init_fg_grafik(void)                               */
/***********************************************************/ 
/*                                              
   Grafik fuer das Darstellen der Freiheitsgrade 
   initialisieren 
   jh, 08.04.97                                 
*/
/***********************************************************/

void init_fg_grafik(void)
{  
  XSizeHints hint;
  long bg,fg;

  bg = fl_get_flcolor(FL_WHITE);
  fg = fl_get_flcolor(FL_BLACK);

  hint.x     = 540;          hint.y = 260;
  hint.width = 400;          hint.height = 400;
  hint.flags = PPosition | PSize;

  fg_win = XCreateSimpleWindow(display, fl_winget(),
			       hint.x, hint.y, hint.width, hint.height,
			       2, 
			       COL_RAND,
			       xs_color.bg);
  
  /* XSelectInput(display,win,ButtonPressMask | KeyPressMask | ExposureMask); */
  XSelectInput(display, fg_win, ButtonPressMask | KeyPressMask);
  
  XMapRaised(display,fg_win);
  fl_set_event_callback(win_fg_cb,0);
}


