/*
  Datei     : win_cb.c
  erstellt  : 10.11.96
  gendert  : 15.03.97
              04.01.98 von as
	      01.02.98, jh
	      08.02.98, jh, MT 3 gendert
  Autor     : jh
*/


#include "XStabDek.h"


void mouseEvent_PrgModus_1(XEvent *ev);
void mouseEvent_PrgModus_2(XEvent *ev);
void mouseEvent_PrgModus_3(XEvent *ev);
void mouseEvent_PrgModus_4(XEvent *ev);




/*********************************************************************/
/* int win3_cb(XEvent *ev,void *tt)                                  */
/*********************************************************************/
/*                                              
   cb-func fr Fenster 'schnittwin'
   jh, 15.03.97                                 
*/
/*********************************************************************/

int win3_cb(XEvent *ev,void *tt)
{
  long dummy;

  if( (*ev).xbutton.window != schnittwin )
    return 0;

  Zeichne_Schnitt(Suche_Stab_select_Nm(&dummy));
  return 0;
}



/*********************************************************************/
/* int win2_cb(XEvent *ev,void *tt)                                  */
/*********************************************************************/
/*                                              
   cb-func fr Fenster 'lasteditwin'
   jh, 15.03.97                                 
*/
/*********************************************************************/

int win2_cb(XEvent *ev,void *tt)
{
  if( (*ev).xbutton.window != lasteditwin )
    return 0;

  Zeichne_Lastedit(); 
  return 0;
}



/*********************************************************************/
/* int win_fg_cb(XEvent *ev,void *tt)                                */
/*********************************************************************/
/*                                              
   cb-func fr Fenster 'Freiheitsgrade'
   jh, 15.03.97                                 
*/
/*********************************************************************/

int win_fg_cb(XEvent *ev,void *tt)
{
  if( (*ev).xbutton.window != fg_win )
    return 0;

  Zeichne_FG();
  return 0;
}



/*********************************************************************/
/*    int win_cb(XEvent *ev,void *tt)                                */
/*********************************************************************/
/*                                              
   cb - Funktion des Zeichenfensters
   jh, 15.03.97                                 
*/
/*********************************************************************/

int win_cb(XEvent *ev,void *arg)
{
  if( (*ev).xbutton.window != win )
    return 0;

  /*
     printf("(win_cb) key   : %d\n",(*ev).xkey.keycode); 
     printf("(win_cb) state : %d\n",(*ev).xbutton.state); 
     printf("(win_cb) type  : %d\n",(*ev).xbutton.type); 
     printf("(win_cb) button: %d\n",(*ev).xbutton.button); 
   */


  switch(prg_status) {      
            
  case 0 :   /* kein System definiert */ 
  
    if( (*ev).xbutton.type == ButtonRelease )
      Meldung( locale("kein System definiert !"));
    break; 
      
     
  case 1 :   /* Standardmodus */
    
    mouseEvent_PrgModus_1(ev);
    break;

      
  case 2 :   /* 'Stab erzeugen' ausgewhlt, ersten Punkt festlegen */     
  
    mouseEvent_PrgModus_2(ev); /* von as */
    break;
      

  case 3 :   /* zweiten Punkt festlegen */       

    mouseEvent_PrgModus_3(ev);
    break;
    
    
  case 4 :   /* Zoom-Modus */
    
    mouseEvent_PrgModus_4(ev);
    break;
    
  }
  
  return 0;
  
}



/*********************************************************************/
/* void mouseEvent_PrgModus_1(XEvent *ev)                            */
/*********************************************************************/
/*                                              
   Funktion verarbeitet den Standard-Programmodus
   jh, 08.08.97                                 
*/
/*********************************************************************/

void mouseEvent_PrgModus_1(XEvent *ev)
{ 
  static long X=-1,Y=-1;
  static long lastx=-1,lasty=-1;

  long x,y;
  KeGlied *p;
  KeGlied *selectedStaebe;

  TypStab_Nm *tmp_stab;
  long dummy;

  int line_style = LineOnOffDash;
  int line_width = 0;
  int cap_style = CapButt;
  int join_style = JoinMiter;


  x = (long) (*ev).xbutton.x;
  y = (long) (*ev).xbutton.y;


  /*
     printf("motion : %d %d\n",(*ev).xmotion.x, (*ev).xmotion.y); 
     printf("state  : %d\n",(*ev).xbutton.state); 
     */
  

  /* Taste gedrckt */
  if((*ev).xkey.keycode == 39) { /* taste 's' */        
    staberzeugen_cb(NULL,0);
  }


  /* MT 1 gedrckt ziehen */   
  if((*ev).xbutton.state == 256 ||
     (*ev).xbutton.state == 257 ) {

    if( X == -1 ) {
      X = (*ev).xmotion.x;
      lastx = X;
    }
    
    if( Y == -1 ) {
      Y = (*ev).xmotion.y;
      lasty = Y;
    }
    
 
    /* Auswahlrechteck zeichnen */
   
    if( ((*ev).xmotion.x - X) > 0 )
      if( ((*ev).xmotion.y - Y) > 0 ) {
        
        XSetLineAttributes(display,gc_select,line_width,line_style,cap_style,join_style);
        
        XDrawRectangle( display, win, gc_select,
                       (int) X,  (int) Y,
                       (int) (lastx - X),
                       (int) (lasty - Y) );     
        
        XDrawRectangle( display, win, gc_select,
                       (int) X,  (int) Y,
                       (int) ((*ev).xmotion.x - X),
                       (int) ((*ev).xmotion.y - Y) );
        
        lastx = (*ev).xmotion.x;
        lasty = (*ev).xmotion.y;

      }            
  }


  if( (*ev).xbutton.type == ButtonRelease ) {  
    if ( fabs((*ev).xmotion.x - X) > 10 &&  fabs((*ev).xmotion.y - Y) > 10 ) {

      PruefeSelektionBox((long) X, (long) Y, 
                         (long) (*ev).xmotion.x, (long) (*ev).xmotion.y );
      
      /* letztes Auswahlerechteck lschen */
      XDrawRectangle( display, win, gc_select,
                     (int) X,  (int) Y,
                     (int) (lastx - X),
                     (int) (lasty - Y) );               
      
      X = -1;
      Y = -1;  
      lastx = -1;
      lasty = -1;
           
    }       

    Zeichne();

  }

    
  /* Maustaste gedrckt  */
  if( (*ev).xbutton.type == ButtonPress ) {   
    
    switch ((*ev).xbutton.button)  {
      

    case 1 :   /* MT 1 */
                                  
      if( (*ev).xbutton.state == 0 ) {

	/* Stbe abwhlen */  
        if(Modell->KeStab_Nm)
          KeDurchlaufVorwaerts(p, Modell->KeStab_Nm) {
            tmp_stab = p->x;     
            (*tmp_stab).l_selektiert = -1;
          }             
      }
      
      PruefeSelektion(x,y);   
      
      break;
      

    case 2 :  /* MT 2 */

      staberzeugen_cb(NULL,0);
      break;
      

    case 3 :    /*  MT 3  */ 

      selectedStaebe = getSelectedK();

      if( selectedStaebe ) {

	dummy=0;

	KeDurchlaufVorwaerts(p, selectedStaebe) { 	  
	  dummy++;
	}

	
	/*  wenn mehr als ein Stab selektiert ist, dann knnen nur
	    die Operationen mat/quer, teilen und lschen ausgefhrt
	    werden  */	    

	if( dummy > 1) {
	
	  fl_setpup_mode( popup, 2, FL_PUP_GREY);
	  fl_setpup_mode( popup, 4, FL_PUP_GREY);
	  fl_setpup_mode( popup, 5, FL_PUP_GREY);
	  fl_setpup_mode( popup, 6, FL_PUP_GREY);
	  fl_setpup_mode( popup, 7, FL_PUP_GREY);

	}
	else {

	  fl_setpup_mode( popup, 2, FL_PUP_NONE);
	  fl_setpup_mode( popup, 4, FL_PUP_NONE);
	  fl_setpup_mode( popup, 5, FL_PUP_NONE);
	  fl_setpup_mode( popup, 6, FL_PUP_NONE);
	  fl_setpup_mode( popup, 7, FL_PUP_NONE);

	}

	WahlButton3( selectedStaebe ); 

      }
      else
	Meldung(locale("kein Stab markiert !"));

      break;

    }
  }
  
}



/*********************************************************************/
/* void mouseEvent_PrgModus_2(XEvent *ev)                            */
/*********************************************************************/
/*                                              
   ersten Punkt festlegen
   as, 04.01.98                                 
*/
/*********************************************************************/

void mouseEvent_PrgModus_2(XEvent *ev)
{
  long X,Y;
  double x,y;
  FL_FORM *Form;
  TypPunkt* tmpPunkt = NULL;
 
  char c_text[50];

  X = (*ev).xmotion.x;
  Y = (*ev).xmotion.y;
  
  x = X_win_welt(win,X);
  y = Y_win_welt(win,Y);


  /*  Koord. an Fang anpassen  */
  modifyKoord(&x, &y, &tmpPunkt);

  XSetForeground(display,gc,fl_get_flcolor(FL_INDIANRED));
  
  if( tmpPunkt ) {

    sprintf(c_text,"%s [ %ld ] : %.2f/%.2f            ", 
	    locale("Punkt"), tmpPunkt->l_nummer, x, y);

  }
  else {

    sprintf(c_text,"%.2f/%.2f                     ", x, y);

  }
   
  XDrawImageString(display,win,gc,
		     10L,
		     15L,
		     c_text,strlen(c_text));     


  if((*ev).xkey.keycode == 45) {   /*  Taste 'k'  */

    fl_show_form(punkterzeugen_form->punkterzeugen,
                 FL_PLACE_CENTER,FL_TRANSIENT, locale("Punkt erzeugen")); 

    Form = punkterzeugen_form->punkterzeugen;      
    XWarpPointer(display,None,Form->window,0,0,0,0,10,10); 

  }
  else {

    if((*ev).xbutton.type == ButtonRelease &&
       (*ev).xbutton.button == 1) {

      X = (long) (*ev).xbutton.x;
      Y = (long) (*ev).xbutton.y;

      x = X_win_welt(win, X);
      y = Y_win_welt(win, Y);

      /*  Koord. an Fang anpassen  */
      modifyKoord(&x, &y, &tmpPunkt);

      Punkt_1_festlegen(x, y, tmpPunkt );

    }
  }
}



/*********************************************************************/
/* void mouseEvent_PrgModus_3(XEvent *ev)                            */
/*********************************************************************/
/*                                              
   zweiten Punkt festlegen
   jh, 09.08.97                                 
*/
/*********************************************************************/

void mouseEvent_PrgModus_3(XEvent *ev)
{ 
  long X1,Y1,X2,Y2;
  double x1,y1,x2,y2;
  double laenge;
  static long lastx=-1,lasty=-1;
  static double d_lastx,d_lasty;
  FL_FORM *Form;
  TypPunkt* tmpPunkt = NULL;
 
  char c_text[50];

  int line_style = LineSolid;
  int line_width = 2;
  int cap_style = CapButt;
  int join_style = JoinMiter;
  

  /* temp. Stab zeichnen */
      
  x1 = (*PUNKT).d_x;
  y1 = (*PUNKT).d_y;
  
  X1 = X_welt_win(win, x1);
  Y1 = Y_welt_win(win, y1);

  X2 = (*ev).xmotion.x;
  Y2 = (*ev).xmotion.y;
  
  x2 = X_win_welt(win, X2);
  y2 = Y_win_welt(win, Y2);

  modifyKoord(&x2, &y2, &tmpPunkt);

  X2 = X_welt_win(win, x2);
  Y2 = Y_welt_win(win, y2);


  XSetLineAttributes(display,gc_select,line_width,line_style,cap_style,join_style); 

  if( lastx>0 && lasty >0 ) {   
    
    XDrawLine(display,win,gc_select,
              (long) X1, 
              (long) Y1,
              (long) lastx, 
              (long) lasty);               
  }

  XDrawLine(display,win,gc_select,
            (long) X1, 
            (long) Y1,
            (long) X2, 
            (long) Y2);  

  laenge = sqrt( (x2-x1)*(x2-x1) + (y2-y1)*(y2-y1) );


  if( tmpPunkt ) {

    sprintf(c_text,"%s [ %ld ] : %.2f/%.2f %s : %.2lf              ", 
	    locale("Punkt"), tmpPunkt->l_nummer, x2, y2, locale("Lnge"), laenge);

  }
  else {
   
    sprintf(c_text,"%.2f/%.2f %s : %.2f             ",x2, y2, locale("Lnge"), laenge);

  }
     
  XDrawImageString(display,win,gc,
                   10L,
                   15L,
                   c_text,strlen(c_text));    
   
  lastx = X2;
  lasty = Y2;
  d_lastx = x2;
  d_lasty = y2;
  
  if((*ev).xkey.keycode == 45) {   /* taste 'k' */     
        
    fl_show_form(punkterzeugen_form->punkterzeugen,
                 FL_PLACE_CENTER,FL_TRANSIENT,locale("Punkt erzeugen"));

    Form = punkterzeugen_form->punkterzeugen;      

    XWarpPointer(display,None,Form->window,0,0,0,0,10,10);
    lastx = -1; lasty = -1;
        
  }
  else {
    
    if( (*ev).xbutton.type == ButtonRelease ) {

      X2 = (long) (*ev).xbutton.x;
      Y2 = (long) (*ev).xbutton.y;

      x2 = X_win_welt(win, X2);
      y2 = Y_win_welt(win, Y2);

      /*  Koord. an Fang anpassen  */
      modifyKoord(&x2, &y2, &tmpPunkt);

      Punkt_2_festlegen(x2, y2, tmpPunkt);

      lastx = -1; lasty = -1;
    }
  }

} /* Ende mouseEvent_PrgModus_3(Event*) */



/*********************************************************************/
/* void mouseEvent_PrgModus_4(XEvent *ev)                            */
/*********************************************************************/
/*                                              
   Funktion verarbeitet den Zoom-Programmodus
   jh, 09.08.97                                 
*/
/*********************************************************************/

void mouseEvent_PrgModus_4(XEvent *ev)
{ 
  static long X=-1,Y=-1;
  static long lastx,lasty;
  long x,y;
 
  int line_style = LineOnOffDash;
  int line_width = 0;
  int cap_style = CapButt;
  int join_style = JoinMiter;

  x = (long) (*ev).xbutton.x;
  y = (long) (*ev).xbutton.y;

  /* printf("motion . %d %d\n",(*ev).xmotion.x, (*ev).xmotion.y); */


  if((*ev).xbutton.state == 256 ) {

    if( X == -1 ) {
      X = (*ev).xmotion.x;
      lastx = X;
    }
    
    if( Y == -1 ) {
      Y = (*ev).xmotion.y;
      lasty = Y;
    }
    
    
    /* Auswahlrechteck zeichnen */
    if( ((*ev).xmotion.x - X) > 0 )
      if( ((*ev).xmotion.y - Y) > 0 ) {
        
        XSetLineAttributes(display,gc_select,line_width,line_style,cap_style,join_style);
        
        XDrawRectangle( display, win, gc_select,
                       (int) X,  (int) Y,
                       (int) (lastx - X),
                       (int) (lasty - Y) );     
        
        XDrawRectangle( display, win, gc_select,
                       (int) X,  (int) Y,
                       (int) ((*ev).xmotion.x - X),
                       (int) ((*ev).xmotion.y - Y) );
        
        lastx = (*ev).xmotion.x;
        lasty = (*ev).xmotion.y;
      }
  }


  if( (*ev).xbutton.type == ButtonRelease ) {

    if( (lastx - X) > 10 ) {
      if( (lasty - Y) > 10 )
        Zoom_rect(X,Y,lastx,lasty);
    }
    else {
      switch ((*ev).xbutton.button) {
      
      case 1 :  
        Zoom_in(x,y);
        break;
        
      case 3 :   
        Zoom_out(x,y);
        break;   
      }
    }         

    X = -1;
    Y = -1;  
    lastx = -1;
    lasty = -1;

  }

}

