/*
  Datei     : Loesche.c
  erstellt  : 22.08.96
  geaendert : 06.01.97
  Autor     : jh
*/


#include "XStabDek.h"



/***********************************************************/
/*  void Loesche_Relationen(TypFreiGrad *, Menge*)         */
/***********************************************************/
/*                                              
   Paare der FG_Relation lschen, in der der Fg auftritt
   jh, 15.03.97

*/
/***********************************************************/

void Loesche_Relationen(TypFreiGrad *tmp_freigrad, 
			Menge* relation)
{
  long i;
  Paar *paar;

  i=1;
  while(i<=relation->n) {
    if(relation->n) {

      paar = relation->feld[i];

      if(paar->a == tmp_freigrad || paar->b == tmp_freigrad) {
	Mng_ElementEntfernen(paar,relation);
	Mng_PaarLoeschen(paar);
      }
      else
	i++;
    }
  }
}



/***********************************************************/
/*  void Loesche_Lastfall(long nummer)                     */
/***********************************************************/
/*                                              
   Lastfall lschen
   jh, 15.03.97

*/
/***********************************************************/

void Loesche_Lastfall(long nummer)
{
  KeGlied *p,*l=NULL;
  TypLastfall *tmp_lastfall;  

  if(!Modell->KeLast)
    return;

  KeDurchlaufVorwaerts(p,Modell->KeLast) {
    tmp_lastfall = p->x;     
    if( (*tmp_lastfall).l_nummer == nummer)	    
      l = p ;	  
  }    
  
  KeGliedAustragen(l); 
  free(l->x);    

  Loesche_Punktlast_Nm(nummer);
  Loesche_Streckenlast_Nm(nummer);

  Modell->unsaved_changes++;

}



