/*
  Datei     : MaterialQuer.c
  erstellt  : 24.08.96
  geaendert : 25.08.96
  Autor     : jh
*/


#include "XStabDek.h"


KeGlied *KetteStaebe;


void SetzeWerte_Material(void)
{
  KeGlied *p;
  TypMaterial *tmp_mat;
  char c_text[100];
  fl_clear_browser(materialform->material_browser);

  if(KeMaterial)  {
    KeDurchlaufVorwaerts(p,KeMaterial)
      {	  
	tmp_mat = p->x;
	sprintf(c_text,"%10ld  %s", (*tmp_mat).l_id, (*tmp_mat).c_name);
	fl_add_browser_line(materialform->material_browser,c_text);
      }
    
    if(KeMaterial->nach != KeMaterial)
      {
	p = KeMaterial->nach;      
	tmp_mat = p->x;
	
	sprintf(c_text,"%ld",(*tmp_mat).l_id);      
	fl_set_object_label(materialform->material_id_text,c_text);
	  
	sprintf(c_text,"%.3e",(*tmp_mat).d_E);      
	fl_set_input(materialform->material_emodul_input,c_text);
      
	sprintf(c_text,"%.3f",(*tmp_mat).d_mue);      
	fl_set_input(materialform->material_mue_input,c_text);
      
	sprintf(c_text,"%.3f",(*tmp_mat).d_alpha);      
	fl_set_input(materialform->material_alpha_input,c_text);
      
	sprintf(c_text,"%s",(*tmp_mat).c_name);      
	fl_set_input(materialform->material_name_input,c_text);   
      }
    else
      {	  	 
	fl_set_object_label(materialform->material_id_text,"");	  	  
	fl_set_input(materialform->material_emodul_input,"");            
	fl_set_input(materialform->material_mue_input,"");      	 
	fl_set_input(materialform->material_alpha_input,"");       
	fl_set_input(materialform->material_name_input,"");   
      }
  }
}


void SetzeWerte_Querschnitt(void)
{
  KeGlied *p;
  TypQuerschnitt *tmp_quer;
  char c_text[100];

  fl_clear_browser(querschnittform->quer_browser);
  
  if(KeQuerschnitt)
    {
      KeDurchlaufVorwaerts(p,KeQuerschnitt)
	{	  
	  tmp_quer = p->x;	 
	  sprintf(c_text,"%10ld  %s", (*tmp_quer).l_id, (*tmp_quer).c_name);
	  fl_add_browser_line(querschnittform->quer_browser,c_text);
	}
      
      if(KeQuerschnitt-> nach != KeQuerschnitt)
	{
	  p = KeQuerschnitt->nach;      
	  tmp_quer = p->x;          

	  sprintf(c_text,"%ld",(*tmp_quer).l_id);      
	  fl_set_object_label(querschnittform->quer_id_text,c_text);
	  
	  sprintf(c_text,"%.3e",(*tmp_quer).d_A);      
	  fl_set_input(querschnittform->quer_A_input,c_text);
	  
	  sprintf(c_text,"%.3e",(*tmp_quer).d_Iz);      
	  fl_set_input(querschnittform->quer_Iz_input,c_text);
	  
	  sprintf(c_text,"%.3f",(*tmp_quer).d_maxy);      
	  fl_set_input(querschnittform->quer_maxy_input,c_text);
      
	  sprintf(c_text,"%s",(*tmp_quer).c_name);      
	  fl_set_input(querschnittform->quer_name_input,c_text);
	}
      else
	{	
	  fl_set_object_label(querschnittform->quer_id_text,c_text);	  	
	  fl_set_input(querschnittform->quer_A_input,c_text);	  
	  fl_set_input(querschnittform->quer_Iz_input,c_text);	  
	  fl_set_input(querschnittform->quer_maxy_input,c_text);      
	  fl_set_input(querschnittform->quer_name_input,c_text);
	}
    }
}


long Hole_MaterialID(void)
{
  char c_nummer[10];
  char *c_tmp;
  long i,j;

  for(i=1;i<=fl_get_browser_maxline(materialform->material_browser);i++) {
    if(fl_isselected_browser_line(materialform->material_browser,i)) {	 	  
      c_tmp = (char*) fl_get_browser_line(materialform->material_browser,i);
      for(j=0;j<10;j++)
	c_nummer[j] = c_tmp[j];     
      return (long) atol(c_nummer);
    }
  }    
  return -1;
}


long Hole_QuerschnittID(void)
{
  char c_nummer[10];
  char *c_tmp;
  long i,j;

  for(i=1;i<=fl_get_browser_maxline(querschnittform->quer_browser);i++)
    {
      if(fl_isselected_browser_line(querschnittform->quer_browser,i))
	{	 	  
	  c_tmp = (char*) fl_get_browser_line(querschnittform->quer_browser,i);
	  for(j=0;j<10;j++)
	    c_nummer[j] = c_tmp[j];     
	  return (long) atol(c_nummer);
	}
    }    
  return -1;
}


void Material_Querschnitt_zuweisen(KeGlied *K)
{
  char c_text[100]; 

  KetteStaebe = K;

  sprintf(c_text,"...");
  fl_set_object_label(materialeditform->stabnummer,c_text);

  /* Querschnittswerte eintragen */    
  SetzeWerte_Eig_Querschnitt();
  SetzeWerte_Eig_Material();

  fl_show_form(materialeditform->materialeditform,FL_PLACE_CENTER,FL_TRANSIENT,"Material / Querschnitt"); 
}


/* ...  einem Stab ein Material zuweisen  ... */

void Material_Eintragen_Nm(TypStab_Nm* tmp_stab, long _id)
{
  (*tmp_stab).l_matid = _id;
}


/* ...  einem Stab einen Querschnitt zuweisen  ... */

void Querschnitt_Eintragen_Nm(TypStab_Nm* tmp_stab, long _id)
{
  (*tmp_stab).l_querid = _id;
}



