/*
  Datei     : lasteditcb.c
  erstellt  : 13.01.97
  geaendert : 25.01.97
  Autor     : jh
*/

#include "XStabDek.h"


/*********************************************************/ 
/*  void lasttyp_choice_cb(FL_OBJECT *obj, long arg)     */
/*********************************************************/ 
/*                                              
   cb - Funktion Wahl eines Lasttyps
   z.Zt. Streckenlast, Punktlast
   jh, 16.03.97
*/
/*********************************************************/    

void lasttyp_choice_cb(FL_OBJECT *obj, long arg)
{
  switch(fl_get_choice(obj))  {
  case 1 :  /* Punktlast */
    fl_freeze_form(lastfalleditform->lastedit);
    {
      fl_hide_object(lastfalleditform->streckenlast);    	
      fl_show_object(lastfalleditform->punktlast);   
    }
    fl_unfreeze_form(lastfalleditform->lastedit);
    break;
    
  case 2 :  /* Streckenlastlast */
    fl_freeze_form(lastfalleditform->lastedit);
    {    
      fl_hide_object(lastfalleditform->punktlast);   
      fl_show_object(lastfalleditform->streckenlast);  
    }
    fl_unfreeze_form(lastfalleditform->lastedit);
    
  default :
    return;
  }
}



void lastedit_lastaendern_cb(FL_OBJECT *obj, long arg)
{
  switch(fl_get_choice((lastfalleditform->lasttyp_choice)))  {
  case 1 :
    Punktlast_aendern();
    break;
    
  case 2 :
    Streckenlast_aendern();
  }
}


void lastedit_lasteintragen_cb(FL_OBJECT *obj, long arg)
{
  switch(fl_get_choice((lastfalleditform->lasttyp_choice)))  {
  case 1 :
    Punktlast_eintragen();
    break;
    
  case 2 :
    Streckenlast_eintragen();
  }
}


void lastedit_lastverschieben_cb(FL_OBJECT *obj, long arg)
{ 
  long id;

  Last_verschieben();  

  Setze_Lasten(Suche_Stab_select_Nm(&id));
  Zeichne_Lastedit();
}


void lastedit_lastkopieren_cb(FL_OBJECT *obj, long arg)
{ 
  long id;
  
  Last_kopieren();  

  Setze_Lasten(Suche_Stab_select_Nm(&id));
  Zeichne_Lastedit();
}


void lasteditabbruch_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(lastfalleditform->lastedit);
  fl_set_event_callback(win_cb,0);
  Zeichne();
}


void lastfalleditbrow1_cb(FL_OBJECT *obj, long arg)
{
  Setze_Lasten(Suche_Stab_select_Nm(&arg)); 
}


void lastfalleditbrow2_cb(FL_OBJECT *obj, long arg)
{ 
  Setze_akt_Last();  
}


/*********************************************************/ 
/*  void lastedit_pl_art_cb(FL_OBJECT *obj, long arg)    */
/*********************************************************/ 
/*                                              
   cb - Funktion Wahl eines Punktlasttyps
   Kraft, Moment
   Setzen der dazugehrigen Einheit
   jh, 16.03.97

*/
/*********************************************************/    

void lastedit_pl_art_cb(FL_OBJECT *obj, long arg)
{
  switch(fl_get_choice(obj))  {
  case 1 : /* Knotenkraft */
    fl_set_object_label(lastfalleditform->lastedit_pl_groesse_einheit,"[kN]");
    fl_activate_object(lastfalleditform->lastedit_pl_winkel);
    fl_activate_object(lastfalleditform->lastedit_pl_koordsys_winkel);
    break;
    
  case 2 : /* Knotenmoment */
    fl_set_object_label(lastfalleditform->lastedit_pl_groesse_einheit,"[kNm]");
    fl_deactivate_object(lastfalleditform->lastedit_pl_winkel);
    fl_deactivate_object(lastfalleditform->lastedit_pl_koordsys_winkel);
    break;
  }
}


void lastedit_lastloeschen_cb(FL_OBJECT *obj, long arg)
{
  long id;
  
  id = HoleLast_ID_Lastedit();
  Loesche_Punktlast_ID__Nm(id);
  Loesche_Streckenlast_ID__Nm(id);
  Setze_Lasten(Suche_Stab_select_Nm(&id));
  Zeichne_Lastedit();
}

