/*
  Datei     : lastfall.c
  erstellt  : 23.08.97
  gendert  : 
  Autor     : jh
*/


#include "XStabDek.h"


/*********************************************************************/
/* void schreibeBrowserLastfall(void)                                */
/*********************************************************************/ 
/* 
   Fkt schreibt den Browser 'aktive Lastflle'
   jh, 23.08.97
*/
/*********************************************************************/

void schreibeBrowserLastfall(void)
{
  char tmp_char[200];
  KeGlied *p;
  TypLastfall *tmp_lastfall;

  fl_freeze_form(lastfallbrowserform->lastfallwahl);
  {
    
    fl_clear_browser(lastfallbrowserform->lastfallbrowser);
    
    if(Modell->KeLast)
      KeDurchlaufRueckwaerts(p,Modell->KeLast) { 
      tmp_lastfall = p->x;   
      sprintf(tmp_char,"%3ld %5.2f %s", 
	      (*tmp_lastfall).l_nummer,
	      (*tmp_lastfall).d_gewicht,
	      (*tmp_lastfall).c_name);

      fl_addto_browser(lastfallbrowserform->lastfallbrowser,tmp_char);  
      
      /* Lastfall aktivieren */
      if(tmp_lastfall->l_aktiv == 1)
	fl_select_browser_line(lastfallbrowserform->lastfallbrowser, 
			       fl_get_browser_maxline(lastfallbrowserform->lastfallbrowser));     
      
    }
  }
  fl_unfreeze_form(lastfallbrowserform->lastfallwahl);
  
}



/*********************************************************************/
/* void schreibeBrowserLastfallKombinationen(void)                   */
/*********************************************************************/ 
/* 
   Fkt schreibt den Browser 'Lastfallkombinationen'
   jh, 23.08.97
*/
/*********************************************************************/

void schreibeBrowserLastfallKombinationen(void)
{
  char tmp_char[200];
  KeGlied *p;
  TypLastfallkombination *tmp_lfkomb;


  fl_freeze_form(lastfallbrowserform->lastfallwahl);
  {
    
    fl_clear_browser(lastfallbrowserform->lastfall_komb_browser);
    
    if( Modell->KeLfKombination)
      KeDurchlaufRueckwaerts(p, Modell->KeLfKombination) { 

      tmp_lfkomb = p->x;   

      sprintf(tmp_char,"%3ld  %s", 
	      tmp_lfkomb->l_id,	     
	      tmp_lfkomb->c_name);

      fl_addto_browser(lastfallbrowserform->lastfall_komb_browser,tmp_char);               
      
    }
  }
  fl_unfreeze_form(lastfallbrowserform->lastfallwahl);
  
}
