/*
  Datei     : schnitt_cb.c
  erstellt  : 06.04.97
  geaendert : 03.05.97
  Autor     : jh
  Bemerkung :
*/


#include "XStabDek.h"


void schnitt_checkbutton_cb(FL_OBJECT *obj, long arg)
{
  Zeichne_Schnitt(Suche_Stab_select_Nm(&arg));
}


void schnittnummer_cb(FL_OBJECT *obj, long arg)
{}

void schnitt_choice_cb(FL_OBJECT *obj, long arg)
{
  SetzeWerte(Suche_Stab_select_Nm(&arg));
}


void schnittok_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(schnittform->schnittkraefte);
  fl_set_event_callback(win_cb,0);
  Zeichne();
}


void schnitt_kraft_input_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  char c_text[20];
  double z;
  long dummy;
  TypStab_Nm *tmp_stab; 
  double M,N,Q,W,U;
  /*TypQuerschnitt *tmp_quer; */

  tmp_stab = Suche_Stab_select_Nm(&dummy);

  /*
     tmp_quer = Suche_Querschnitt( (*tmp_stab).l_querid );
     maxy = (*tmp_quer).d_maxy;
     Iz = (*tmp_quer).d_Iz;
     A = (*tmp_quer).d_A;
  */
 

  /* Schnittkraefte an best. Stelle berechnen */

  c_tmp = (char*) fl_get_input(schnittform->schnitt_kraft_input);
  z = atof(c_tmp);

  z = z/(*tmp_stab).d_laenge;

  if(z<0 || z>1) {
    sprintf(c_text,"err");
    fl_set_object_label(schnittform->dis_1_text,c_text);
    fl_set_object_label(schnittform->dis_2_text,c_text);
    fl_set_object_label(schnittform->dis_3_text,c_text);
    return;
  }


  switch(fl_get_choice(schnittform->schnitt_choice)) {
  case 1 :
    M = getM(tmp_stab,z);
    sprintf(c_text,"%.3f",M); 
    fl_set_object_label(schnittform->dis_1_text,c_text);
    
    Q = getQ(tmp_stab,z);   
    sprintf(c_text,"%.3f",Q);
    fl_set_object_label(schnittform->dis_2_text,c_text);
    
    N = getN(tmp_stab,z);  
    sprintf(c_text,"%.3f",N);
    fl_set_object_label(schnittform->dis_3_text,c_text);
    break;

  case 2 :

    W = get_w(tmp_stab,z);
    sprintf(c_text,"%.7f",W);
    fl_set_object_label(schnittform->dis_1_text,c_text);

    U = get_u(tmp_stab,z);
    sprintf(c_text,"%.7f",U);
    fl_set_object_label(schnittform->dis_2_text,c_text);

    fl_set_object_label(schnittform->dis_3_text,"");
    break;
  }



  /* Spannung */
  /* 
     h = maxy;
     sigma = M/Iz * h + N/A; 

     sprintf(c_text,"%.3f",sigma);
     fl_set_object_label(schnittform->sigma_o_text,c_text);

     h = 0;
     sigma = M/Iz * h + N/A; 
     
     sprintf(c_text,"%.3f",sigma);
     fl_set_object_label(schnittform->sigma_m_text,c_text);

     h = -maxy;
     sigma = M/Iz * h + N/A; 

     sprintf(c_text,"%.3f",sigma);
     fl_set_object_label(schnittform->sigma_u_text,c_text);
  */
  
}


void schnitt_laenge_text_cb(FL_OBJECT *obj, long arg)
{}

