/** Header file generated with fdesign on Thu May 27 18:15:26 2004.**/

#ifndef FD_mainform_h_
#define FD_mainform_h_

/** Callbacks, globals and object handlers **/
extern void berechne_cb(FL_OBJECT *, long);
extern void einstellungen_cb(FL_OBJECT *, long);
extern void ausgabe_cb(FL_OBJECT *, long);
extern void meldungbrow_cb(FL_OBJECT *, long);
extern void tabellen_cb(FL_OBJECT *, long);
extern void control_button_cb(FL_OBJECT *, long);
extern void scale_button_cb(FL_OBJECT *, long);
extern void load_button_cb(FL_OBJECT *, long);
extern void draw_system_button_cb(FL_OBJECT *, long);
extern void datenbank_cb(FL_OBJECT *, long);
extern void beenden_cb(FL_OBJECT *, long);
extern void draw_preferences_button_cb(FL_OBJECT *, long);
extern void dummy_cb(FL_OBJECT *, long);
extern void system_choice_cb(FL_OBJECT *, long);

extern void toggle_raster(FL_OBJECT *, long);
extern void raster_input_cb(FL_OBJECT *, long);
extern void raster_close_button_cb(FL_OBJECT *, long);
extern void fang_input_cb(FL_OBJECT *, long);
extern void fang_choice_cb(FL_OBJECT *, long);

extern void inputform_input_cb(FL_OBJECT *, long);
extern void inputok_cb(FL_OBJECT *, long);
extern void inputabbruch_cb(FL_OBJECT *, long);

extern void dummy_cb(FL_OBJECT *, long);
extern void stok_button_cb(FL_OBJECT *, long);
extern void standardmat_browser_cb(FL_OBJECT *, long);
extern void standardquer_browser_cb(FL_OBJECT *, long);

extern void warnungok_cb(FL_OBJECT *, long);
extern void warnungabbruch_cb(FL_OBJECT *, long);

extern void global1_cb(FL_OBJECT *, long);
extern void global2_cb(FL_OBJECT *, long);
extern void materialedit_stwerte_cb(FL_OBJECT *, long);
extern void eigenschaften_matbrowser_cb(FL_OBJECT *, long);
extern void eigenschaften_querbrowser_cb(FL_OBJECT *, long);
extern void materialedit_okbutton_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/
typedef struct {
	FL_FORM *mainform;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *box;
	FL_OBJECT *Berechne;
	FL_OBJECT *Einstellungen;
	FL_OBJECT *Ausgabe;
	FL_OBJECT *meldungbrow;
	FL_OBJECT *Tabellen;
	FL_OBJECT *control_button;
	FL_OBJECT *scale_button;
	FL_OBJECT *load_button;
	FL_OBJECT *draw_system_button;
	FL_OBJECT *Datenbank;
	FL_OBJECT *Beenden;
	FL_OBJECT *draw_preferences_button;
	FL_OBJECT *progress_slider;
	FL_OBJECT *system_choice;
} FD_mainform;

extern FD_mainform * create_form_mainform(void);
typedef struct {
	FL_FORM *einstellung_raster;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *raster_checkbutton;
	FL_OBJECT *raster_input1;
	FL_OBJECT *raster_input2;
	FL_OBJECT *close_button;
	FL_OBJECT *fang_input1;
	FL_OBJECT *fang_input2;
	FL_OBJECT *fang_choice;
} FD_einstellung_raster;

extern FD_einstellung_raster * create_form_einstellung_raster(void);
typedef struct {
	FL_FORM *inputform;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *text;
	FL_OBJECT *input;
	FL_OBJECT *inputok;
	FL_OBJECT *inputabbruch;
} FD_inputform;

extern FD_inputform * create_form_inputform(void);
typedef struct {
	FL_FORM *staberzeugen;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *standardbutton;
	FL_OBJECT *stok_button;
	FL_OBJECT *standardmat_browser;
	FL_OBJECT *standardquer_browser;
	FL_OBJECT *standard_mat_text;
	FL_OBJECT *standard_quer_text;
} FD_staberzeugen;

extern FD_staberzeugen * create_form_staberzeugen(void);
typedef struct {
	FL_FORM *warnung;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *warnungtext;
	FL_OBJECT *warnungok;
	FL_OBJECT *warnungabbruch;
} FD_warnung;

extern FD_warnung * create_form_warnung(void);
typedef struct {
	FL_FORM *materialeditform;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *global1;
	FL_OBJECT *global2;
	FL_OBJECT *materialedit_stwerte;
	FL_OBJECT *eigenschaften_material_text;
	FL_OBJECT *eigenschaften_matbrowser;
	FL_OBJECT *eigenschaften_emodul_text;
	FL_OBJECT *eigenschaften_quer_text;
	FL_OBJECT *eigenschaften_flaeche;
	FL_OBJECT *eigenschaften_Iz;
	FL_OBJECT *eigenschaften_querbrowser;
	FL_OBJECT *stabnummer;
	FL_OBJECT *materialedit_okbutton;
} FD_materialeditform;

extern FD_materialeditform * create_form_materialeditform(void);

#endif /* FD_mainform_h_ */
