/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "gui_tabellen.h"

FD_tab_punkte *create_form_tab_punkte(void)
{
  FL_OBJECT *obj;
  FD_tab_punkte *fdui = (FD_tab_punkte *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->tab_punkte = fl_bgn_form(FL_NO_BOX, 370, 490);
  obj = fl_add_box(FL_UP_BOX,0,0,370,490,"");
  fdui->tab_punkte_browser = obj = fl_add_browser(FL_HOLD_BROWSER,30,60,310,320,"");
    fl_set_object_color(obj,FL_COL1,FL_LEFT_BCOL);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,tab_punkte_browser_cb,0);
  fdui->tab_punkte_nummer = obj = fl_add_input(FL_NORMAL_INPUT,30,390,60,30,"");
    fl_set_object_callback(obj,tab_punkte_nummer_cb,0);
  fdui->tab_punkte_x = obj = fl_add_input(FL_NORMAL_INPUT,130,390,100,30,"");
    fl_set_object_callback(obj,tab_punkte_x_cb,0);
  fdui->tab_punkte_y = obj = fl_add_input(FL_NORMAL_INPUT,240,390,100,30,"");
    fl_set_object_callback(obj,tab_punkte_y_cb,0);
  fdui->tab_punkte_ok = obj = fl_add_button(FL_NORMAL_BUTTON,200,440,140,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,tab_punkte_ok_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,20,310,30,"   Nr.                         X                       Y");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_EMBOSSED_STYLE);
  fl_end_form();

  fdui->tab_punkte->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_tab_staebe *create_form_tab_staebe(void)
{
  FL_OBJECT *obj;
  FD_tab_staebe *fdui = (FD_tab_staebe *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->tab_staebe = fl_bgn_form(FL_NO_BOX, 760, 590);
  obj = fl_add_box(FL_UP_BOX,0,0,760,590,"");
  fdui->tab_staebe_browser = obj = fl_add_browser(FL_MULTI_BROWSER,20,70,720,270,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
    fl_set_object_callback(obj,tab_staebe_browser_cb,0);
  fdui->tab_staebe_schliessen_button = obj = fl_add_button(FL_NORMAL_BUTTON,590,540,150,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthEast, FL_SouthEast);
    fl_set_object_callback(obj,tab_staebe_schliessen_button_cb,0);
  fdui->tab_staebe_alleauswaehlen = obj = fl_add_button(FL_NORMAL_BUTTON,20,20,130,30,"alle auswhlen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,tab_staebe_alleauswaehlen_cb,0);
  fdui->tab_staebe_alleabwaehlen = obj = fl_add_button(FL_NORMAL_BUTTON,160,20,130,30,"alle abwhlen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,tab_staebe_alleabwaehlen_cb,0);
  fdui->tab_staebe_invers = obj = fl_add_button(FL_NORMAL_BUTTON,300,20,130,30,"inverse Auswahl");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,tab_staebe_invers_cb,0);
  fdui->tab_staebe_max = obj = fl_add_button(FL_NORMAL_BUTTON,20,360,130,30,"Max");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,tab_staebe_extremum,1);
  fdui->tab_staebe_min = obj = fl_add_button(FL_NORMAL_BUTTON,160,360,130,30,"Min");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,tab_staebe_extremum,2);
  fdui->tab_staebe_text_1 = obj = fl_add_text(FL_NORMAL_TEXT,120,410,620,30,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  obj = fl_add_text(FL_NORMAL_TEXT,20,410,90,30,"M");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  obj = fl_add_text(FL_NORMAL_TEXT,20,450,90,30,"Q");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  obj = fl_add_text(FL_NORMAL_TEXT,20,490,90,30,"N");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fdui->tab_staebe_text_2 = obj = fl_add_text(FL_NORMAL_TEXT,120,450,620,30,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fdui->tab_staebe_text_3 = obj = fl_add_text(FL_NORMAL_TEXT,120,490,620,30,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fl_end_form();

  fdui->tab_staebe->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

