/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "guidraw.h"

static FL_PUP_ENTRY fdchoice_0[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "kein Fang",	0,	"",	 FL_PUP_NONE},
    { "Koord.-Fang",	0,	"",	 FL_PUP_NONE},
    { "Punkt-Fang",	0,	"",	 FL_PUP_NONE},
    { "Koord./Punkt-Fang",	0,	"",	 FL_PUP_NONE},
    {0}
};

FD_drawcontrol_preferences *create_form_drawcontrol_preferences(void)
{
  FL_OBJECT *obj;
  FD_drawcontrol_preferences *fdui = (FD_drawcontrol_preferences *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->drawcontrol_preferences = fl_bgn_form(FL_NO_BOX, 220, 410);
  obj = fl_add_box(FL_UP_BOX,0,0,220,410,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,200,330,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->bezugsfaser_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,20,179,30,"Bezugsfaser");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_preferences_cb,0);
  fdui->ursprung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,60,178,30,"Ursprung");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_preferences_cb,0);
  fdui->achsenbeschriftung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,210,180,30,"Achsenbeschriftung");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_preferences_cb,0);
  fdui->achsen_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,240,180,30,"Achsen hervorheben");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_preferences_cb,0);
  fdui->farben_button = obj = fl_add_button(FL_NORMAL_BUTTON,21,290,179,30,"Farben");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,farben_button_cb,0);
  fdui->draw_pref_close_button = obj = fl_add_button(FL_NORMAL_BUTTON,21,360,179,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,draw_pref_close_button_cb,0);
  fdui->rasterbutton = obj = fl_add_checkbutton(FL_PUSH_BUTTON,21,100,178,30,"Raster anzeigen");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,toggle_raster,0);
    fl_set_button(obj, 1);
  fdui->fang_choice = obj = fl_add_choice(FL_NORMAL_CHOICE2,20,140,180,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,fang_choice_cb,0);
   fl_set_choice_entries(obj, fdchoice_0);
   fl_set_choice(obj,4);
  fl_end_form();

  fdui->drawcontrol_preferences->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

FD_drawcontrol_system *create_form_drawcontrol_system(void)
{
  FL_OBJECT *obj;
  FD_drawcontrol_system *fdui = (FD_drawcontrol_system *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(-2);
  fdui->drawcontrol_system = fl_bgn_form(FL_NO_BOX, 180, 640);
  obj = fl_add_box(FL_UP_BOX,0,0,180,640,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,160,580,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->system_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,20,140,30,"System");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->verschiebung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,50,140,30,"Verschiebung");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->moment_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,120,140,30,"Moment");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->querkraft_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,150,140,30,"Querkraft");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->normalkraft_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,180,140,30,"Normalkraft");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->beschriftung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,210,140,30,"SK beschriften");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->lager_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,250,140,30,"Lager");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->lagergroessen_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,280,140,30,"Lagergren");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->punktlasten_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,320,140,30,"Punktlasten");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->punkte_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,460,140,30,"Punkte");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->punktnummern_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,490,140,30,"Punktnummern");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->stabnummern_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,520,140,30,"Stabnummern");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->freiheitsgrade_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,550,140,30,"Freiheitsgrade");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->draw_sys_close_button = obj = fl_add_button(FL_NORMAL_BUTTON,20,600,140,30,"Schlieen");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,draw_sys_close_button_cb,0);
  fdui->streckenlasten_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,390,140,30,"Streckenlasten");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->plbeschriftung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,350,140,30,"PL Beschriftung");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->slbeschriftung_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,420,140,30,"SL Beschriftung");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fdui->verschiebung_beschriften_button = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,80,140,30,"V beschriften");
    fl_set_object_boxtype(obj,FL_UP_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,drawcontrol_system_cb,0);
  fl_end_form();

  fdui->drawcontrol_system->fdui = fdui;
  fl_set_border_width(old_bw);

  return fdui;
}
/*---------------------------------------*/

