#ifndef FD_drawcontrol_preferences_h_
#define FD_drawcontrol_preferences_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void drawcontrol_preferences_cb(FL_OBJECT *, long);
extern void farben_button_cb(FL_OBJECT *, long);
extern void draw_pref_close_button_cb(FL_OBJECT *, long);
extern void toggle_raster(FL_OBJECT *, long);
extern void fang_choice_cb(FL_OBJECT *, long);

extern void drawcontrol_system_cb(FL_OBJECT *, long);
extern void draw_sys_close_button_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *drawcontrol_preferences;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *bezugsfaser_button;
	FL_OBJECT *ursprung_button;
	FL_OBJECT *achsenbeschriftung_button;
	FL_OBJECT *achsen_button;
	FL_OBJECT *farben_button;
	FL_OBJECT *draw_pref_close_button;
	FL_OBJECT *rasterbutton;
	FL_OBJECT *fang_choice;
} FD_drawcontrol_preferences;

extern FD_drawcontrol_preferences * create_form_drawcontrol_preferences(void);
typedef struct {
	FL_FORM *drawcontrol_system;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *system_button;
	FL_OBJECT *verschiebung_button;
	FL_OBJECT *moment_button;
	FL_OBJECT *querkraft_button;
	FL_OBJECT *normalkraft_button;
	FL_OBJECT *beschriftung_button;
	FL_OBJECT *lager_button;
	FL_OBJECT *lagergroessen_button;
	FL_OBJECT *punktlasten_button;
	FL_OBJECT *punkte_button;
	FL_OBJECT *punktnummern_button;
	FL_OBJECT *stabnummern_button;
	FL_OBJECT *freiheitsgrade_button;
	FL_OBJECT *draw_sys_close_button;
	FL_OBJECT *streckenlasten_button;
	FL_OBJECT *plbeschriftung_button;
	FL_OBJECT *slbeschriftung_button;
	FL_OBJECT *verschiebung_beschriften_button;
} FD_drawcontrol_system;

extern FD_drawcontrol_system * create_form_drawcontrol_system(void);

#endif /* FD_drawcontrol_preferences_h_ */
