#ifndef FD_lastfall_h_
#define FD_lastfall_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void dummy_cb(FL_OBJECT *, long);
extern void nummervergeben_cb(FL_OBJECT *, long);
extern void lastfallerzeugen_cb(FL_OBJECT *, long);
extern void lastfallabbruch_cb(FL_OBJECT *, long);

extern void lastfallbrowser_cb(FL_OBJECT *, long);
extern void lfbrowserok_cb(FL_OBJECT *, long);
extern void lastwahlloeschen_cb(FL_OBJECT *, long);
extern void lastwahlgewichten_cb(FL_OBJECT *, long);
extern void lastwahlerzeugen_cb(FL_OBJECT *, long);
extern void lastwahlkopieren_cb(FL_OBJECT *, long);
extern void lastwahlnameaendern_cb(FL_OBJECT *, long);
extern void lastfall_komb_browser_cb(FL_OBJECT *, long);
extern void lastkomb_erzeugen_cb(FL_OBJECT *, long);
extern void lastkomb_loeschen_cb(FL_OBJECT *, long);
extern void lastkomb_aendern_cb(FL_OBJECT *, long);
extern void lastkomb_nameaendern_cb(FL_OBJECT *, long);

extern void lastedit_lasteintragen_cb(FL_OBJECT *, long);
extern void lasteditabbruch_cb(FL_OBJECT *, long);
extern void lastfalleditbrow1_cb(FL_OBJECT *, long);
extern void lastfalleditbrow2_cb(FL_OBJECT *, long);
extern void lasttyp_choice_cb(FL_OBJECT *, long);
extern void lastedit_lastloeschen_cb(FL_OBJECT *, long);
extern void lastedit_lastaendern_cb(FL_OBJECT *, long);
extern void lastedit_lastverschieben_cb(FL_OBJECT *, long);
extern void lastedit_lastkopieren_cb(FL_OBJECT *, long);
extern void lastedit_pl_art_cb(FL_OBJECT *, long);
extern void dummy_cb(FL_OBJECT *, long);

extern void dummy_cb(FL_OBJECT *, long);
extern void copyload_button_cb(FL_OBJECT *, long);
extern void close_button_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *lastfall;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *lastfallnummer;
	FL_OBJECT *lastfallname;
	FL_OBJECT *nummervergeben;
	FL_OBJECT *lastfallerzeugen;
	FL_OBJECT *lastfallabbruch;
	FL_OBJECT *lf_nummertext;
	FL_OBJECT *lastfallgewicht;
} FD_lastfall;

extern FD_lastfall * create_form_lastfall(void);
typedef struct {
	FL_FORM *lastfallwahl;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *lastfallbrowser;
	FL_OBJECT *lfbrowserok;
	FL_OBJECT *lastwahlloeschen;
	FL_OBJECT *lastwahlgewichten;
	FL_OBJECT *lastwahlerzeugen;
	FL_OBJECT *lastwahlkopieren;
	FL_OBJECT *lastwahlnameaendern;
	FL_OBJECT *lastfall_komb_browser;
	FL_OBJECT *lastkomb_lerzeugen;
	FL_OBJECT *lastkomb_loeschen;
	FL_OBJECT *lastkomb_aendern;
	FL_OBJECT *lastkomb_nameaendern;
} FD_lastfallwahl;

extern FD_lastfallwahl * create_form_lastfallwahl(void);
typedef struct {
	FL_FORM *lastedit;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *lastedit_lasteintragen;
	FL_OBJECT *lasteditabbruch;
	FL_OBJECT *lastfalleditbrow1;
	FL_OBJECT *lastfalleditbrow2;
	FL_OBJECT *lastedit_stabnummer;
	FL_OBJECT *lastedit_stablaenge;
	FL_OBJECT *lasttyp_choice;
	FL_OBJECT *lastedit_lastloeschen;
	FL_OBJECT *lastedit_lastaendern;
	FL_OBJECT *lastedit_stablaenge_projektion;
	FL_OBJECT *lastedit_lastverschieben;
	FL_OBJECT *lastedit_lastkopieren;
	FL_OBJECT *punktlast;
	FL_OBJECT *lastedit_rahmen_pl;
	FL_OBJECT *lastedit_pl_art;
	FL_OBJECT *lastedit_pl_groesse;
	FL_OBJECT *lastedit_pl_winkel;
	FL_OBJECT *lastedit_pl_pos;
	FL_OBJECT *lastedit_pl_groesse_einheit;
	FL_OBJECT *lastedit_pl_koordsys_winkel;
	FL_OBJECT *lastedit_pl_koordsys_pos;
	FL_OBJECT *lastedit_pl_name;
	FL_OBJECT *streckenlast;
	FL_OBJECT *lastedit_rahmen_sl;
	FL_OBJECT *lastedit_sl_groessea;
	FL_OBJECT *lastedit_sl_groesseb;
	FL_OBJECT *lastedit_sl_anf;
	FL_OBJECT *lastedit_sl_end;
	FL_OBJECT *lastedit_sl_winkel;
	FL_OBJECT *lastedit_sl_koordsys;
	FL_OBJECT *lastedit_sl_name;
} FD_lastedit;

extern FD_lastedit * create_form_lastedit(void);
typedef struct {
	FL_FORM *copyLoad;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *load_source_browser;
	FL_OBJECT *load_target_browser;
	FL_OBJECT *copyload_button;
	FL_OBJECT *close_button;
} FD_copyLoad;

extern FD_copyLoad * create_form_copyLoad(void);

#endif /* FD_lastfall_h_ */
