/*
  Datei     : color_cb.c
  erstellt  : 06.04.97
  gendert  : 25.04.97
              08.02.98, jh, verzeichnis fr farben von
	                    c_verwaltung_pfade nach c_matquer_pfade gendert
  Autor     : jh
*/


#include "XStabDek.h"



/***********************************************************/
/* void fonts_button_cb(FL_OBJECT *obj, long arg)          */
/***********************************************************/ 
/*                                              
   cb-Fkt 
   Auswhlen und Setzen einer Farbe
   jh, 06.04.97
*/
/***********************************************************/

void color_cb(FL_OBJECT *obj, long arg)
{
  long col;

  col = fl_show_colormap(0);

  switch(arg)
    {
    case 0 :
      xs_color.fl_bg = col;
      xs_color.bg = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_0,col,0);         
      break;

    case 1 :
      xs_color.fl_fg = col;
      xs_color.fg = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_1,col,0);
      break;

    case 2 :
      xs_color.fl_punkt = col;
      xs_color.punkt = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_2,col,0);
      break;

    case 3:
      xs_color.fl_punkt_nr = col;
      xs_color.punkt_nr = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_3,col,0);
      break;

    case 4 :
      xs_color.fl_stab = col;
      xs_color.stab = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_4,col,0);
      break;

    case 5 :
      xs_color.fl_stab_select = col;
      xs_color.stab_select = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_5,col,0);
      break;
      
    case 6 :
      xs_color.fl_stab_nr = col;
      xs_color.stab_nr = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_6,col,0);
      break;

    case 7 :
      xs_color.fl_freigrad_dual = col;
      xs_color.freigrad_dual = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_7,col,0);
      break; 

    case 8 :
      xs_color.fl_freigrad_primal = col;
      xs_color.freigrad_primal = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_8,col,0);
      break;

    case 9 :
      xs_color.fl_streckenlast = col;
      xs_color.streckenlast = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_9,col,0);
      break;

    case 10 :
      xs_color.fl_punktlast = col;
      xs_color.punktlast = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_10,col,0);
      break;

    case 11 :
      xs_color.fl_lager = col;
      xs_color.lager = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_11,col,0);
      break;

    case 12 :
      xs_color.fl_normal = col;
      xs_color.normal = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_12,col,0);
      break;
      
    case 13 :
      xs_color.fl_quer = col;
      xs_color.quer = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_13,col,0);
      break;

    case 14 :
      xs_color.fl_moment = col;
      xs_color.moment = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_14,col,0);
      break;

    case 15 :
      xs_color.fl_verschiebung = col;
      xs_color.verschiebung = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_15,col,0);
      break;

    case 16 :
      xs_color.fl_achsen = col;
      xs_color.achsen = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_16,col,0);
      break;

    case 17 :
      xs_color.fl_feder = col;
      xs_color.feder = fl_get_flcolor(col);
      fl_set_object_color(color_form->col_17,col,0);
      break;

    }
}


void color_ok_button_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(color_form->color);
  Zeichne();
}


/***********************************************************/
/* void color_save_button_cb(...)                          */
/***********************************************************/ 
/*                                              
   cb-Fkt    
   Farben speichern
   jh, 07.04.97
*/
/***********************************************************/

void color_save_button_cb(FL_OBJECT *obj, long arg)
{    
  switch(arg) {

  case 0 : {
    char *c_text;

    c_text = (char*) fl_show_fselector("Datei Name", 
				       c_matquer_pfad, "*.col","");  
    if(c_text) 
      Schreibe_Color(c_text); 
    break;
  }
    
  case 1 : {			/* Speichern der Standardfarben */      
    char c_text[256];	
      
    sprintf(c_text,"%s/standard.col", c_matquer_pfad);
    Schreibe_Color(c_text);
    break;
  }
  }
}



/***********************************************************/
/* void color_load_button_cb(...)                          */
/***********************************************************/ 
/*                                              
   cb-Fkt    
   Farben laden
   jh, 07.04.97
*/
/***********************************************************/

void color_load_button_cb(FL_OBJECT *obj, long arg)
{ 
  switch(arg)
    {
    case 0 : /* Farben laden */
      {
	char *c_text;

	c_text = (char*) fl_show_fselector("Datei Name",
					   c_matquer_pfad,"*.col","");	
	if(c_text)
	  Lese_Color(c_text);
	setze_farben();
	break;
      }

    case 1 : /* Laden der Standardfarben */
      {
	char c_text[256];
	sprintf(c_text,"%s/standard.col",c_matquer_pfad);
	Lese_Color(c_text);
	setze_farben();
	break;
      }
    }
}


