/*
  Datei     : control_cb.c
  erstellt  : 08.03.97
  gendert  : 18.04.97
  Autor     : jh
*/


#include "XStabDek.h"


void pos_button_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  double a,b;
  char c_text[20];
  TypMaszstab mass;

  mass = Zeichne_HoleMaszstab();

  c_tmp = (char*) fl_get_input(scale_form->hor_pos_input); 
  a = atof(c_tmp);

  c_tmp = (char*) fl_get_input(scale_form->ver_pos_input); 
  b = atof(c_tmp);
  
  switch(arg)
    {
    case 1 :
      a += (50/mass.system);
      sprintf(c_text,"%.2f",a);
      fl_set_input(scale_form->hor_pos_input,c_text); 
      break;
    case 2 :
      b += (50/mass.system);
      sprintf(c_text,"%.2f",b);
      fl_set_input(scale_form->ver_pos_input,c_text); 
      break;
    case 3 :
      a -= (50/mass.system);
      sprintf(c_text,"%.2f",a);
      fl_set_input(scale_form->hor_pos_input,c_text); 
      break;
    case 4 :
      b -= (50/mass.system);
      sprintf(c_text,"%.2f",b);
      fl_set_input(scale_form->ver_pos_input,c_text); 
    }
  
  Zeichne();
}


void hor_pos_input_cb(FL_OBJECT *obj, long arg)
{
  Zeichne();
}



void zoom_button_cb(FL_OBJECT *obj, long arg)
{
  static long status;

  if(!Modell)
    return;

  if (fl_get_button(obj))  {
    status = prg_status;     
    dienst_Prg_Status(4);     
  }
  else {
    dienst_Prg_Status(status);     
  }
}


void zoom_all_button_cb(FL_OBJECT *obj, long arg)
{
  if(!Modell)
    return;

  Zoom_all();
}


/*********************************************************************/
/* void berechnen_button_cb(FL_OBJECT *obj, long arg)                */
/*********************************************************************/ 
/*                                              
   cb_Fkt
   berechnen des systems
   jh, 13.04.97                          
*/
/*********************************************************************/  

void berechnen_button_cb(FL_OBJECT *obj, long arg)
{
  switch (arg) {
  case 1:
    Berechne(); 
    break;
    
  case 2 :
    BerechneThIIOrdnung(); 
    break;
  }
  
}


void open_button_cb(FL_OBJECT *obj, long arg)
{
  Lese(NULL);
}


void save_button_cb(FL_OBJECT *obj, long arg)
{
  if(!Modell)
    return;

  save();
}


void control_close_button_cb(FL_OBJECT *obj, long arg)
{
  fl_set_button(form->control_button,0);	
  fl_hide_form(control_form->control); 
  Zeichne(); 
  XFlush(display);
}


void verschieben_button_cb(FL_OBJECT *obj, long arg)
{
  FL_FORM *Form;

  if(!Modell)
    return;

  fl_show_form(verschieben_form->verschieben,
	       FL_PLACE_CENTER,FL_TRANSIENT,"System verschieben"); 
  Form = verschieben_form->verschieben;
  XWarpPointer(display,None,Form->window,0,0,0,0,10,10);
}
