/*
  Datei     : menucb.c
  erstellt  : 10.11.96
  gendert  : 30.03.97
  Autor     : jh
*/


#include "XStabDek.h"



/***********************************************************/
/*  void beenden_cb(FL_OBJECT *obj, long arg)              */
/***********************************************************/ 
/*                                              
   cb - Funktion Men 'Beenden'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/***********************************************************/    

void beenden_cb(FL_OBJECT *obj, long arg)
{
  switch (fl_get_menu(obj)) {
  case 1 :
    info();
    break;
  case 2 :
    net_hilfe();
    break;   
  case 3 :   
    quit();   
  }
}



/***********************************************************/ 
/*  void datenbank_cb(FL_OBJECT *obj, long arg)            */
/***********************************************************/ 
/*                                              
   cb - Funktion Men 'Datenbank'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/***********************************************************/

void datenbank_cb(FL_OBJECT *obj, long arg)
{  

  switch(fl_get_menu(form->Datenbank)) {        
  case 3 :  /* Material */     
    SetzeWerte_Material();
    fl_show_form(materialform->materialform,
		 FL_PLACE_CENTER,FL_TRANSIENT,"Material"); 
    break;
    
  case 4 :  /* Projekt erzeugen */     
    input_status = 2;
    fl_set_input(inputform->input,"");
    fl_set_object_label(inputform->text,"Projektbezeichnung ");
    fl_show_form(inputform->inputform,
		 FL_PLACE_CENTER,FL_TRANSIENT,"Projekt erzeugen"); 
    break;
    
  case 5 :  /* Querschnitte  */     
    SetzeWerte_Querschnitt();
    fl_show_form(querschnittform->querschnittform,
		 FL_PLACE_CENTER,FL_TRANSIENT,"Querschnitte"); 
    break;
    
    
  case 10 : /* System erzeugen */   
      
    Modell = erzeugeModell();          
    
    addToSystemChoice( Modell );
    
    dienst_Prg_Status(1);
    Modell->unsaved_changes = 0;           
      
    setEnv();
    Zeichne();
      
    break;
 
   
  case 11 :  /* System laden */       

    Lese(NULL);
    break;

    
  case 12 :  /* System speichern */    

    save();
    break;
    
    
  case 13 :  /* System speichern als ... */      

    save_as();
    break;


  case 14 :  /* System schlieen */

    removeFromSystemChoice( Modell );

    /* aktuelles Modell wird gelscht */
    loescheModell( Modell );

    break;

  }        
}



/*********************************************************************/
/*  void ausgabe_cb(FL_OBJECT *obj, long arg)                        */
/*********************************************************************/ 
/*                                              
   cb - Funktion Men 'Ausgabe'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/*********************************************************************/

void ausgabe_cb(FL_OBJECT *obj, long arg)
{   
  KeGlied* staebe;

  if(!Modell)
    return;

  switch (fl_get_menu(obj)) {

  case 1 :           
    liste_bildschirm(Modell->KeStab_Nm);
    break;     

  case 2 :
    staebe = getSelectedK();
    liste_bildschirm(staebe);
    break; 
      
  case 3 :
    export();
    break;	

  }
}



/*****************************************************/ 
/*  void berechne_cb(FL_OBJECT *obj, long arg)       */
/*****************************************************/ 
/*                                              
   cb - Funktion Men 'Berechnen'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/*****************************************************/    

void berechne_cb(FL_OBJECT *obj, long arg)
{

  if(!Modell)
    return;

  switch (fl_get_menu(obj)) {
  case 1 :    
    Berechne();
    break;

  case 2 :
    BerechneThIIOrdnung();
    break;
  }
  
}



/*****************************************************/ 
/*  void einstellungen_cb(FL_OBJECT *obj, long arg)  */
/*****************************************************/ 
/*                                              
   cb - Funktion Men 'Einstellungen'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/*****************************************************/    

void einstellungen_cb(FL_OBJECT *obj, long arg)
{
  char c_text[10];

  switch (fl_get_menu(obj)) {     
  case 1 :    /* Raster / Fang */
    fl_show_form(rasterform->einstellung_raster,
		 FL_PLACE_CENTER,FL_FULLBORDER,
		 "Rastereinstellungen"); 
    break;
    
  case 2 :    /* Stab erzeugen */ 
    Zeige_Standardwerte();    
    break;
    
  case 3 :    /* Pfade */
    zeige_pfade();
    break; 
    
  case 4 :    /* Freiheitsgrade auch an biegesteifen Ecken */
    Zeichne();
    break; 

  case 5 :   /* Prozessor */

    if(Modell) {
      sprintf(c_text,"%ld",Modell->prozessor_anz);    
      fl_set_input(prozessor_form->prozessor_stabteil_input,c_text);
    }
    
    fl_show_form(prozessor_form->prozessor,
		 FL_PLACE_CENTER,FL_FULLBORDER,
		 "Prozessor"); 
    break;
    
  }
}
 

 
/*****************************************************/ 
/*  void tabellen_cb(FL_OBJECT *obj, long arg)       */
/*****************************************************/ 
/*                                              
   cb - Funktion Men 'tabellen'
   Menleiste im Hauptfenster
   jh, 15.03.97

*/
/*****************************************************/    

void tabellen_cb(FL_OBJECT *obj, long arg)
{ 

  switch (fl_get_menu(obj)) {
  case 1 :    
    tabelle_staebe();
    break;
  case 2 :
    tabelle_punkte();
    break;   
  }
}
