/*
  Datei     : quer_cb.c
  erstellt  : 24.08.96
  geaendert : 11.06.97
  geaendert : 22.01.98 von as
  Autor     : jh
*/


#include "XStabDek.h"



void quer_browser_cb(FL_OBJECT *obj, long arg)
{
  long nummer;
  TypQuerschnitt *tmp_quer;
  char c_text[100];

  nummer = Hole_QuerschnittID();
  tmp_quer = Suche_Querschnitt(nummer);
  
  sprintf(c_text,"%ld",(*tmp_quer).l_id);      
  fl_set_object_label(querschnittform->quer_id_text,c_text);

  sprintf(c_text,"%.3e",(*tmp_quer).d_A);      
  fl_set_input(querschnittform->quer_A_input,c_text);

  sprintf(c_text,"%.3e",(*tmp_quer).d_Iz);      
  fl_set_input(querschnittform->quer_Iz_input,c_text);

  sprintf(c_text,"%.3f",(*tmp_quer).d_maxy);      
  fl_set_input(querschnittform->quer_maxy_input,c_text);

  sprintf(c_text,"%s",(*tmp_quer).c_name);      
  fl_set_input(querschnittform->quer_name_input,c_text);
}



void quer_erzeugen_button_cb(FL_OBJECT *obj, long arg)
{
  TypQuerschnitt *tmp_quer;
  char *c_tmp;
  char c_text[100];

  tmp_quer = Erzeuge_Querschnitt();

  c_tmp = (char*) fl_get_input(querschnittform->quer_name_input);
  fprintf(stdout,"Name: %s\n",c_tmp);
  sprintf((*tmp_quer).c_name,"%s",c_tmp);
  
  c_tmp = (char*) fl_get_input(querschnittform->quer_A_input);
  (*tmp_quer).d_A = atof(c_tmp);
  
  c_tmp = (char*) fl_get_input(querschnittform->quer_Iz_input);
  (*tmp_quer).d_Iz = atof(c_tmp);
  
  c_tmp = (char*) fl_get_input(querschnittform->quer_maxy_input);
  (*tmp_quer).d_maxy = atof(c_tmp);
  
  sprintf(c_text,"%10ld  %s",(*tmp_quer).l_id,(*tmp_quer).c_name);

  if(KeQuerschnitt) {
    KeElementEintragen(tmp_quer,Nach,KeQuerschnitt);
  }
  else {
    KeQuerschnitt = KeKetteDefinieren();
    KeElementEintragen(tmp_quer,Nach,KeQuerschnitt);
  }

  if(fl_get_browser_maxline(querschnittform->quer_browser))
    fl_insert_browser_line(querschnittform->quer_browser,1,c_text);  
  else
    fl_add_browser_line(querschnittform->quer_browser,c_text);  
}


void quer_loeschen_button_cb(FL_OBJECT *obj, long arg)
{
  TypQuerschnitt *tmp_quer;
  long nummer;
  KeGlied *p;
  
  nummer = Hole_QuerschnittID();

  if(nummer != -1) {
    if(KeQuerschnitt)
      KeDurchlaufVorwaerts(p,KeQuerschnitt)  
      {
	tmp_quer = p->x;
	if((*tmp_quer).l_id == nummer)
	  {
	    KeGliedAustragen(p);
	    free(tmp_quer);
	    break;
	  }
      }
      
      SetzeWerte_Querschnitt();
  }
}


void quer_ok_button_cb(FL_OBJECT *obj, long arg)
{
  fl_hide_form(querschnittform->querschnittform);
  Zeichne();
}



void quer_uebernehmen_button_cb(FL_OBJECT *obj, long arg)
{
  char *c_tmp;
  char c_text[100];
  long nummer;
  long i;
  TypQuerschnitt *tmp_quer;

  nummer = Hole_QuerschnittID();  
  if(nummer == -1)
    return;
    
  tmp_quer = Suche_Querschnitt(nummer);
  
  if( tmp_quer ) {

    c_tmp = (char*) fl_get_input(querschnittform->quer_name_input);
    sprintf((*tmp_quer).c_name,"%s",c_tmp);

    c_tmp = (char*) fl_get_input(querschnittform->quer_A_input);
    (*tmp_quer).d_A = atof(c_tmp);

    c_tmp = (char*) fl_get_input(querschnittform->quer_Iz_input);
    (*tmp_quer).d_Iz = atof(c_tmp);
    
    c_tmp = (char*) fl_get_input(querschnittform->quer_maxy_input);
    (*tmp_quer).d_maxy = atof(c_tmp);
      
      
    sprintf(c_text,"%10ld  %s", (*tmp_quer).l_id, (*tmp_quer).c_name);
    
    for(i=1;i<= fl_get_browser_maxline(querschnittform->quer_browser);i++) {
      if(fl_isselected_browser_line(querschnittform->quer_browser,i)) {
	fl_replace_browser_line(querschnittform->quer_browser,i,c_text);
	break;
      }
    }

  }

}

