/*
  Datei     : ressourcen.c
  erstellt  : 24.10.96
  geaendert : 14.04.97
              07.02.98, jh
  Autor     : jh
*/

#include "XStabDek.h"


int form_close(FL_FORM *form, void *arg);


void set_res(void)
{
  FD_FSELECTOR *fs;
  char c_text[200];
  Pixmap p, mask;
  unsigned w,h;
  char *tmp;


  /* Icon */ 
  sprintf(c_text,"%s/xstab_logo_icon.xpm",c_verwaltung_pfad); 
  p = fl_read_pixmapfile(fl_root, c_text, &w, &h, &mask, 0, 0, 0);
  fl_set_form_icon(form->mainform, p, mask);

  /* Event-Handler - Fenster schlieen */
  fl_set_form_atclose(rasterform->einstellung_raster, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(stabeditform->stab_edit, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(inputform->inputform, (int (*)(FL_FORM*,void*)) form_close,NULL);   
  fl_set_form_atclose(warnungform->warnung, (int (*)(FL_FORM*,void*)) form_close,NULL);   
  fl_set_form_atclose(color_form-> color, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(freigradform->freigrad, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(lastfalleditform->lastedit, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(infoform->infoform, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(materialeditform->materialeditform , (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(materialform->materialform,
		      (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(querschnittform->querschnittform,
		      (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(schnittform->schnittkraefte, (int (*)(FL_FORM*,void*)) form_close,NULL);

  fl_set_form_atclose(tab_punkte_form->tab_punkte, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(tab_staebe_form->tab_staebe, (int (*)(FL_FORM*,void*)) form_close,NULL);

  fl_set_form_atclose(pfade_form->pfade, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(staberzeugenform->staberzeugen, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(verschieben_form->verschieben, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(pfade_form->pfade, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(prozessor_form->prozessor, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(punkterzeugen_form->punkterzeugen, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(export_form->export, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(lastkopierenform->copyLoad, (int (*)(FL_FORM*,void*)) form_close,NULL);
 

  /* Event-Handler - Fenster schlieen (main - buttons) */
  fl_set_form_atclose(control_form->control, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(scale_form->scale, (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(lastfallbrowserform->lastfallwahl,
		      (int (*)(FL_FORM*,void*)) form_close,NULL);  
  fl_set_form_atclose(drawcontrol_preferences_form->drawcontrol_preferences, 
		      (int (*)(FL_FORM*,void*)) form_close,NULL);
  fl_set_form_atclose(drawcontrol_system_form->drawcontrol_system, 
		      (int (*)(FL_FORM*,void*)) form_close,NULL);
 

  /* Progressbar deaktivieren */
  fl_deactivate_object(form->progress_slider);
  fl_set_slider_value(form->progress_slider,0.);
  fl_set_object_bw(form->progress_slider,-1);

      
  /* ... Fonts  ... */
  fl_set_font_name(0,"-*-helvetica-medium-r-*-*-*-140-*-*-*-*-*-*");  
  fl_set_font_name(16,"-*-helvetica-medium-r-*-*-*-140-*-*-*-*-*-*"); 
  fl_set_font_name(17,"-*-Lucidatypewriter-medium-r-*-*-*-140-75-75-*-*-iso8859-1"); 
  fl_set_font_name(18,"-*-Lucidatypewriter-medium-r-*-*-*-120-75-75-*-*-iso8859-1"); 
  fl_set_font_name(19,"-*-helvetica-medium-r-*-*-*-160-*-*-*-*-*-*"); 

  fl_set_goodies_font(FL_NORMAL_STYLE,16);


  /* FileSelector */
  fl_set_fselector_fontstyle(19);

  fs = fl_get_fselector_fdstruct();
  fl_set_object_bw(fs->browser,-2);
  fl_set_object_bw(fs->cancel,-2);
  fl_set_object_bw(fs->ready,-2);
  fl_set_object_bw(fs->resbutt,-2);
  
  fl_set_object_boxtype(fs->input,FL_DOWN_BOX);
  fl_set_object_bw(fs->input,-2);


  /* ...  Hauptfenster  ... */
  fl_set_positioner_return(scale_form->posi,0);
  fl_set_positioner_xbounds(scale_form->posi,-0.2,1.2);
  fl_set_positioner_ybounds(scale_form->posi,-0.2,1.2);
  
  fl_set_object_bw(form->box,-2);   

  fl_set_object_bw(scale_form->maszstab,-2);
  fl_set_object_bw(scale_form->input1,-2);
  fl_set_object_bw(scale_form->input2,-2);
  fl_set_object_bw(scale_form->input3,-2);
  fl_set_object_bw(scale_form->input4,-2);
  fl_set_object_bw(scale_form->input6,-2);

  fl_set_input(scale_form->input1,"50");   /* System         */
  fl_set_input(scale_form->input2,"20");   /* Verschiebung   */
  fl_set_input(scale_form->input3,"1");    /* Knotenlast     */
  fl_set_input(scale_form->input4,"1");    /* Elementlast    */
  fl_set_input(scale_form->input6,"1");    /* Schnittkraefte */
  fl_set_input(scale_form->hor_pos_input,"0");
  fl_set_input(scale_form->ver_pos_input,"0");

  fl_set_browser_fontstyle(form->meldungbrow,17);



  /* ...  Pixmaps setzen  ... */


  /* Pixmaps Fenster Icons */
  sprintf(c_text,"%s/magnify_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->zoom_button,c_text);
  sprintf(c_text,"%s/earth_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->zoom_all_button,c_text);

  sprintf(c_text,"%s/CAD.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->erzeugen_button,c_text);

  sprintf(c_text,"%s/Calculator.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->berechnen_button,c_text);

  sprintf(c_text,"%s/Calculator_II.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->berechnen_thII_button,c_text);

  sprintf(c_text,"%s/Open.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->open_button,c_text);

  sprintf(c_text,"%s/Save.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->save_button,c_text);

  sprintf(c_text,"%s/hand_up_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(control_form->verschieben_button,c_text);

  
  /* Pixmaps Hauptfenster */
  sprintf(c_text,"%s/pick_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(form->control_button,c_text);

  sprintf(c_text,"%s/rulers_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(form->scale_button,c_text);

  sprintf(c_text,"%s/checklist4_3d.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(form->load_button,c_text);
  
  sprintf(c_text,"%s/Drawing.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(form->draw_system_button,c_text);

  sprintf(c_text,"%s/Drawing2.xpm",c_verwaltung_pfad); 
  fl_set_pixmapbutton_file(form->draw_preferences_button,c_text);


  /*...  Menleiste  ...*/
  fl_setpup_fontstyle(16);
  fl_setpup_fontsize(16);
  fl_setpup_color(FL_COL1,FL_BLACK);

  fl_set_object_lstyle(form->Beenden,16);
  fl_set_object_lstyle(form->Datenbank,16); 
  fl_set_object_lstyle(form->Berechne,16);
  fl_set_object_lstyle(form->Einstellungen,16);
  fl_set_object_lstyle(form->Ausgabe,16);
  fl_set_object_lstyle(form->Tabellen,16);

  fl_set_object_lsize(form->Beenden,16);
  fl_set_object_lsize(form->Datenbank,16);  
  fl_set_object_lsize(form->Berechne,16);
  fl_set_object_lsize(form->Einstellungen,16);
  fl_set_object_lsize(form->Ausgabe,16);
  fl_set_object_lsize(form->Tabellen,16);



  /* ...  PopUps  ... */
  fl_setpup_bw(popup, -2);
  fl_setpup_bw(popup2, -2);
  fl_setpup_bw(popup3, -2); 



  /*...  Fenster Lastfallerzeugen  ...*/
  fl_set_object_bw(lastfallform->lastfallnummer,-2);
  fl_set_object_bw(lastfallform->nummervergeben,-2);
  fl_set_object_bw(lastfallform->lastfallerzeugen,-2);
  fl_set_object_bw(lastfallform->lastfallabbruch,-2);
  fl_set_object_bw(lastfallform->lastfallname,-2);
  fl_set_object_bw(lastfallform->lastfallgewicht,-2);
  fl_set_input(lastfallform->lastfallgewicht,"1");


  /* ...  Lastfall waehlen : lastfallbrowserform  ... */   
  fl_set_form_position(lastfallbrowserform->lastfallwahl,25,70);  

  fl_set_object_bw(lastfallbrowserform->lfbrowserok,-2);
  fl_set_object_bw(lastfallbrowserform->lastwahlloeschen,-2);
  fl_set_object_bw(lastfallbrowserform->lastwahlgewichten,-2);
  fl_set_object_bw(lastfallbrowserform->lastwahlkopieren,-2);;
  fl_set_object_bw(lastfallbrowserform->lastwahlnameaendern,-2);
  fl_set_object_bw(lastfallbrowserform->lastwahlerzeugen,-2);

  fl_set_browser_fontstyle(lastfallbrowserform->lastfallbrowser,17);
  fl_set_browser_fontsize(lastfallbrowserform->lastfallbrowser,16);

  fl_set_browser_fontstyle(lastfallbrowserform->lastfall_komb_browser,17);
  fl_set_browser_fontsize(lastfallbrowserform->lastfall_komb_browser,16);


  /*  Fenster Last kopieren  */
  fl_set_object_label( lastkopierenform->close_button, locale("Schlieen"));


  /* ...  stabeditform  Eigenschaften Staebe  ... */

  fl_set_object_bw(stabeditform->okbutton,-2);
  fl_set_object_bw(stabeditform->abbruch,-2);
 
  fl_set_object_bw(stabeditform->punktainput,-2);
  fl_set_object_bw(stabeditform->punktbinput,-2);
  fl_set_object_bw(stabeditform->xa,-2);
  fl_set_object_bw(stabeditform->ya,-2);
  fl_set_object_bw(stabeditform->xb,-2);
  fl_set_object_bw(stabeditform->yb,-2);
 

  fl_set_object_bw(stabeditform->stabeditneuerpunkta,-2);
  fl_set_object_bw(stabeditform->stabeditneuerpunktb,-2);


  /* ...  materialeditform  ... */

  fl_set_object_bw(materialeditform->materialedit_okbutton,-2);
  fl_set_object_bw(materialeditform->materialedit_stwerte,-2);
  fl_set_object_bw(materialeditform->global1,-2);
  fl_set_object_bw(materialeditform->global2,-2);


  /* ...  Lastfall editieren : lastfalleditform  ... */
  
  /* tmp = getText("%s", locale("Punktlast")); */
  fl_addto_choice(lastfalleditform->lasttyp_choice, locale("Punktlast") );

  /* tmp = getText("%s", locale("Streckenlast")); */
  fl_addto_choice(lastfalleditform->lasttyp_choice, locale("Streckenlast") );

  fl_addto_choice(lastfalleditform->lastedit_pl_koordsys_winkel, locale("lokal") );
  fl_addto_choice(lastfalleditform->lastedit_pl_koordsys_winkel, locale("global") );
  
  fl_addto_choice(lastfalleditform->lastedit_pl_koordsys_pos, locale("lokal") );
  fl_addto_choice(lastfalleditform->lastedit_pl_koordsys_pos, locale("global") );

  /* tmp = getText("%s", locale("Kraft")); */
  fl_addto_choice(lastfalleditform->lastedit_pl_art, locale("Kraft") );

  /* tmp = getText("%s", locale("Moment")); */
  fl_addto_choice(lastfalleditform->lastedit_pl_art, locale("Moment") );

  fl_addto_choice(lastfalleditform->lastedit_sl_koordsys, locale("lokal") );
  fl_addto_choice(lastfalleditform->lastedit_sl_koordsys, locale("global") );

  fl_set_choice(lastfalleditform->lasttyp_choice,1);

  fl_set_browser_fontstyle(lastfalleditform->lastfalleditbrow1,17);
  fl_set_browser_fontsize(lastfalleditform->lastfalleditbrow1,16);
  fl_set_browser_fontstyle(lastfalleditform->lastfalleditbrow2,17);
  fl_set_browser_fontsize(lastfalleditform->lastfalleditbrow2,16);

  fl_set_object_bw(lastfalleditform->lastedit_rahmen_pl,-1);
  fl_set_object_bw(lastfalleditform->lastedit_rahmen_sl,-1);


  /* inputform */

  fl_set_object_bw(inputform->input,-2);
  fl_set_object_bw(inputform->inputok,-2);
  fl_set_object_bw(inputform->inputabbruch,-2);

  
  /* warnungform */
  fl_set_object_bw(warnungform->warnungok,-2);
  fl_set_object_bw(warnungform->warnungabbruch,-2);


  /* staberzeugenform  Standardwerte */
  fl_set_object_bw(staberzeugenform->standardbutton,-2);
  fl_set_object_bw(staberzeugenform->stok_button,-2);

  fl_set_button(staberzeugenform->standardbutton,1);


  /* ...  schnittform  ... */

  /* tmp = getText("%s", locale("Schnittkrfte")); */
  fl_addto_choice(schnittform->schnitt_choice, locale("Schnittkrfte") );

  /* tmp = getText("%s", locale("Verschiebungen")); */
  fl_addto_choice(schnittform->schnitt_choice, locale("Verschiebungen") );

  /* tmp = getText("%s", locale("Normalspannungen")); */
  fl_addto_choice(schnittform->schnitt_choice, locale("Normalspannungen") );

  /* tmp = getText("%s", locale("Schubspannungen")); */
  fl_addto_choice(schnittform->schnitt_choice, locale("Schubspannungen") );

  fl_set_object_bw(schnittform->schnittok,-2);     
  fl_set_object_bw(schnittform->schnitt_kraft_input,-2);

  fl_set_button(schnittform->schnittmomentbutton,1);
  fl_set_button(schnittform->schnittquerbutton,0);
  fl_set_button(schnittform->schnittnormalbutton,0);

  fl_set_object_lstyle(schnittform->intervalle_pos,18);
  fl_set_object_lsize(schnittform->intervalle_pos,12);  

  fl_set_object_lstyle(schnittform->intervalle_1_text,18);
  fl_set_object_lsize(schnittform->intervalle_1_text,12); 
 
  fl_set_object_lstyle(schnittform->intervalle_2_text,18);
  fl_set_object_lsize(schnittform->intervalle_2_text,12);  

  fl_set_object_lstyle(schnittform->intervalle_3_text,18);
  fl_set_object_lsize(schnittform->intervalle_3_text,12);  


  /* materialform */
  fl_set_object_bw(materialform->material_ok_button,-2);
  fl_set_object_bw(materialform->material_erzeugen_button,-2);
  fl_set_object_bw(materialform->material_loeschen_button,-2);
  fl_set_object_bw(materialform->material_emodul_input,-2);
  fl_set_object_bw(materialform->material_mue_input,-2);
  fl_set_object_bw(materialform->material_alpha_input,-2);
  fl_set_object_bw(materialform->material_name_input,-2);
  fl_set_browser_fontstyle(materialform->material_browser,17);


  /* querschnittform */
  fl_set_object_bw(querschnittform->quer_ok_button,-2);
  fl_set_object_bw(querschnittform->quer_erzeugen_button,-2);
  fl_set_object_bw(querschnittform->quer_loeschen_button,-2);
  fl_set_object_bw(querschnittform->quer_name_input,-2);
  fl_set_object_bw(querschnittform->quer_A_input,-2);
  fl_set_object_bw(querschnittform->quer_Iz_input,-2);
  fl_set_object_bw(querschnittform->quer_maxy_input,-2);
  fl_set_browser_fontstyle(querschnittform->quer_browser,17);

  
  /* ...  freigradform  ... */ 

  tmp = getText("%s", locale("FG Nummern") );
  fl_addto_menu(freigradform->fg_menu, tmp);

  tmp = getText("%s", locale("Lager") );
  fl_addto_menu(freigradform->fg_menu, tmp);

  fl_set_menu_item_mode(freigradform->fg_menu,1,6);
  fl_set_menu_item_mode(freigradform->fg_menu,2,6);


  /* ...  Rastereinstellunen : rasterform  ... */
  fl_set_input(rasterform->raster_input1,"1");
  fl_set_input(rasterform->raster_input2,"1");
  fl_set_input(rasterform->fang_input1,"0.5");
  fl_set_input(rasterform->fang_input2,"0.5");
  
  fl_set_button(rasterform->raster_checkbutton,1);
  fl_set_choice(rasterform->fang_choice,1);


  /* ... Tabelle Punkte  ... */
  fl_set_browser_fontstyle(tab_punkte_form->tab_punkte_browser,17);
 
  fl_set_object_lstyle(tab_punkte_form->tab_punkte_nummer,17);
  fl_set_object_lstyle(tab_punkte_form->tab_punkte_x,17);
  fl_set_object_lstyle(tab_punkte_form->tab_punkte_y,17);


  /* ... Tabelle Stbe  ... */
  fl_set_browser_fontstyle(tab_staebe_form->tab_staebe_browser,17);

  fl_set_object_lstyle(tab_staebe_form->tab_staebe_text_1,17);
  fl_set_object_lstyle(tab_staebe_form->tab_staebe_text_2,17);
  fl_set_object_lstyle(tab_staebe_form->tab_staebe_text_3,17);


  /* ... Export  ... */
  fl_set_choice_fontstyle(export_form->export_choice,17);
  /*  fl_set_button(export_form->drucker_button,1);*/

  /* ps - Optionen */
  fl_set_input(ps_form->mass_m,"0.1");
  fl_set_input(ps_form->mass_q,"0.1");
  fl_set_input(ps_form->mass_n,"0.1");
  fl_set_input(ps_form->mass_verschieb,"10"); 


  fl_set_object_label(rasterform->close_button, locale("Schlieen") );
  fl_set_object_label(rasterform->raster_checkbutton, locale("Raster") );


#ifdef _TOOLTIPS_

  tmp = getText("%s", locale("Ausschnitt\nvergrern / verkleinern") );
  tooltips_addtip(control_form->zoom_button, tmp); 

  tmp = getText("%s", locale("Zoom alles") );
  tooltips_addtip(control_form->zoom_all_button, tmp);

  tooltips_addtip(control_form->berechnen_button,
		  locale("System nach Th. I. Ordnung berechnen") ); 
  tooltips_addtip(control_form->berechnen_thII_button,
		  locale("System nach Th. II. Ordnung berechnen") ); 

  /* tmp = getText("%s", locale("Stab erzeugen") ); */
  tooltips_addtip(control_form->erzeugen_button, locale("Stab erzeugen") ); 

  /* tmp = getText("%s", locale("System ffnen")); */
  tooltips_addtip(control_form->open_button, locale("System ffnen") ); 

  /* tmp = getText("%s", locale("System sichern")); */
  tooltips_addtip(control_form->save_button, locale("System sichern") );

  /* tmp = getText("%s", locale("System verschieben")); */
  tooltips_addtip(control_form->verschieben_button, locale("System verschieben") );

  /* tmp = getText("%s", locale("Fenster : Icons")); */
  tooltips_addtip(form->control_button, locale("Fenster : Icons") );

  tooltips_addtip(form->scale_button, locale("Fenster : Mastab") );
  tooltips_addtip(form->load_button, locale("Fenster : Lastflle") );
  tooltips_addtip(form->draw_system_button, locale("Fenster : Zeichnen") );
  tooltips_addtip(form->draw_preferences_button, locale("Fenster : Zeichnen - Einstellungen") );

#endif
  
}



/*********************************************************************/
/* int form_close(FL_FORM *form, void *arg)                          */
/*********************************************************************/
/*                                              
   Event-Handler 
   Schlieen einer form ber WM
   jh, 13.04.97                                 
*/
/*********************************************************************/

int form_close(FL_FORM *thisform, void *arg)
{   
  
  if( thisform == control_form->control ) {
    fl_set_button(form->control_button,0);	
    fl_hide_form(thisform);     
    Zeichne();
    XFlush(display);
    return FL_IGNORE;   
  }    
  
  if( thisform == scale_form->scale ) {      
    fl_set_button(form->scale_button,0);	
    fl_hide_form(thisform);
    Zeichne();
    XFlush(display);
    return FL_IGNORE;
  }    
  
  if( thisform == lastfallbrowserform->lastfallwahl ) {      
    fl_set_button(form->load_button,0);	
    fl_hide_form(thisform);
    Zeichne();
    XFlush(display);
    return FL_IGNORE;
  }    

  if( thisform == drawcontrol_preferences_form->drawcontrol_preferences ) {      
    fl_set_button(form->draw_preferences_button,0);	
    fl_hide_form(thisform);
    Zeichne();
    XFlush(display);
    return FL_IGNORE;
  }    
  
  if( thisform == drawcontrol_system_form->drawcontrol_system ) {      
    fl_set_button(form->draw_system_button,0);
    fl_hide_form(thisform);
    Zeichne();
    XFlush(display);
    return FL_IGNORE;
  }  
  
  if( thisform == freigradform->freigrad ) {      
    fl_hide_form(freigradform->freigrad);
    fl_set_event_callback(win_cb,0); 
    Zeichne();        
    return FL_IGNORE;
  }  
  
  if( thisform == lastfalleditform->lastedit ) {      
    fl_hide_form(thisform);
    fl_set_event_callback(win_cb,0); 
    Zeichne();        
    return FL_IGNORE;
  }  
  
  if( thisform == schnittform->schnittkraefte ) {
    fl_hide_form(thisform);
    fl_set_event_callback(win_cb,0); 
    Zeichne();        
    return FL_IGNORE;
  }  
  
 
  fl_hide_form(thisform);   
  Zeichne();     
  return FL_IGNORE;
  
}
