/*
  Datei     : ds_punkt.c
  erstellt  : 06.04.97
  gendert  :
  Autor     : jh
  Bemerkung :
*/


#include "DsUsr.h"


/***********************************************************/
/* void ds_punkt(...)                                      */
/***********************************************************/ 
/*                                              
   Fkt zeichnet ein Punktsymbol in ein angegebenes 
   Fenster
   die Farbe mu vorher gesetzt werden
   jh, 06.04.97
*/
/***********************************************************/

void ds_punkt(double x, double y, Typ_DsScale m)
{  
  double abstand = 2;
  long wx,wy;

  int line_style = LineSolid;
  int line_width = 3;
  int cap_style = CapButt;
  int join_style = JoinMiter;

  XSetLineAttributes(m.display,m.gc,line_width,line_style,cap_style,join_style);    
    
  ds_welt_win(x,y,&wx,&wy,m);

  XDrawRectangle
    (m.display,m.win,m.gc,
     (long) (wx - abstand), 
     (long) (wy - abstand),
     (long) (2 * abstand),
     (long) (2 * abstand) ); 
  
}
