/*
  Datei     : zoom.c
  erstellt  : 16.11.96
  gendert  : 
  Autor     : jh
*/


#include "XStabDek.h"


void Zoom_in(long x_win,long y_win)
{
  double mass,x,y;
  char *c_tmp;
  char c_text[50];

  x = X_win_welt(win,x_win);
  y = Y_win_welt(win,y_win); 

  c_tmp = (char*) fl_get_input(scale_form->input1); 
  mass  = atof(c_tmp);

  fl_set_positioner_xvalue(scale_form->posi,0.5);
  fl_set_positioner_yvalue(scale_form->posi,0.5);

  sprintf(c_text,"%.2f",mass*=1.2);
  fl_set_input(scale_form->input1,c_text);

  sprintf(c_text,"%.2f",-x);
  fl_set_input(scale_form->hor_pos_input,c_text); 

  sprintf(c_text,"%.2f",-y);
  fl_set_input(scale_form->ver_pos_input,c_text); 

  Zeichne();
}


void Zoom_out(long x_win,long y_win)
{
  double mass,x,y;
  char *c_tmp;
  char c_text[50];

  x = X_win_welt(win,x_win);
  y = Y_win_welt(win,y_win); 

  c_tmp = (char*) fl_get_input(scale_form->input1); 
  mass  = atof(c_tmp);

  fl_set_positioner_xvalue(scale_form->posi,0.5);
  fl_set_positioner_yvalue(scale_form->posi,0.5);

  sprintf(c_text,"%.2f",mass/=1.2);
  fl_set_input(scale_form->input1,c_text);

  sprintf(c_text,"%.2f",-x);
  fl_set_input(scale_form->hor_pos_input,c_text); 

  sprintf(c_text,"%.2f",-y);
  fl_set_input(scale_form->ver_pos_input,c_text); 

  Zeichne();
}


/***********************************************************/
/* void Zoom_all(void)                                     */
/***********************************************************/ 
/*                                              
   Funktion zoomt das System in die Mitte des 
   Haupfensters         
   jh, 27.03.97
*/
/***********************************************************/

void Zoom_all(void)
{
  double mass,off_x,off_y;
  char c_text[50];    
  double *koord;    /* hier stehen die extremalen Koordinaten */
  double sys_height,sys_width;
  double rand = 60;
  XWindowAttributes attr; 

  /* extremale Koordinaten holen */
  if(!(koord = dienst_minmaxkoord_Nm(Modell->KeStab_Nm)))
    {
      Meldung("kein System !");
      return;
    }

  /* berechne System-Ausdehnung */
  sys_height = fabs(koord[3] - koord[2]);
  sys_width  = fabs(koord[1] - koord[0]);  

  /* Hole Fenstergre */
  XGetWindowAttributes(display,win,&attr);

  mass = ((attr.width - 2 * rand) / sys_width) <
    ((attr.height - 2 * rand) / sys_height) ?  
      ((attr.width - 2 * rand)/ sys_width) : 
	((attr.height - 2 * rand) / sys_height);  

  off_x = -(koord[0] + koord[1]) / 2;  
  off_y = -(koord[2] + koord[3]) / 2;

  fl_set_positioner_xvalue(scale_form->posi,0.5);
  fl_set_positioner_yvalue(scale_form->posi,0.5);

  sprintf(c_text,"%.2f",mass);
  fl_set_input(scale_form->input1,c_text);
  
  sprintf(c_text,"%.2f",off_x);
  fl_set_input(scale_form->hor_pos_input,c_text); 
  
  sprintf(c_text,"%.2f",off_y);
  fl_set_input(scale_form->ver_pos_input,c_text); 

  Zeichne();
  free(koord);
}



void Zoom_rect(long X1, long Y1, long X2, long Y2)
{
  double mass,off_x,off_y;
  char c_text[50];     
  double sys_height,sys_width;
  double rand = 5;
  XWindowAttributes attr; 
  double x1,y1,x2,y2;

  x1 = X_win_welt(win,X1);
  y1 = Y_win_welt(win,Y1);
  x2 = X_win_welt(win,X2);
  y2 = Y_win_welt(win,Y2);

  /* berechne Ausdehnung */
  sys_height = fabs(y2 - y1);
  sys_width  = fabs(x2 - x1);  

  /* Hole Fenstergre */
  XGetWindowAttributes(display,win,&attr);

  mass = ((attr.width - 2 * rand) / sys_width) <
    ((attr.height - 2 * rand) / sys_height) ?  
      ((attr.width - 2 * rand)/ sys_width) : 
	((attr.height - 2 * rand) / sys_height);  

  off_x = -(x2 + x1) / 2;  
  off_y = -(y2 + y1) / 2;

  fl_set_positioner_xvalue(scale_form->posi,0.5);
  fl_set_positioner_yvalue(scale_form->posi,0.5);

  sprintf(c_text,"%.2f",mass);
  fl_set_input(scale_form->input1,c_text);
  
  sprintf(c_text,"%.2f",off_x);
  fl_set_input(scale_form->hor_pos_input,c_text); 
  
  sprintf(c_text,"%.2f",off_y);
  fl_set_input(scale_form->ver_pos_input,c_text); 

  Zeichne();

}

